<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/domain/MonitorAllSystems.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/disk/common/Header.jsp"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<TITLE>MonitorAllSystems.jsp</TITLE>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcstyle.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmctables.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcirctables.css") %>' title="Style">
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/domain/domain.js") %>'>
</SCRIPT>
</HEAD>
<f:view>
	<BODY >
	<hx:scriptCollector id="scriptCollector"
		preRender="#{arrayIdentityCollectionByUser.initAllContext}">
		<h:form styleClass="form" id="form2">
			<h:inputHidden value="#{bundle.Domain_Option_Select_Element}"
				id="selectElement"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Host_Action}"
				id="hostAction"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_View_Host}"
				id="viewHost"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Remove_Host}"
				id="removeHost"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Collect_Support_Data}"
				id="collectSupportData"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Array_Action}"
				id="arrayAction"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_View_Array}"
				id="viewArray"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Config_Volume}"
				id="configVolume"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_View_Physical}"
				id="viewPhysical"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Locate_Array}"
				id="locateArray"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Locate_Array_Off}"
				id="locateArrayOff"></h:inputHidden>
			<!--Removing Firmware Update per DCR46 for this release
			<h:inputHidden value="#{bundle.Domain_Option_Update_Firmware}"
				id="updateFirmware"></h:inputHidden>
			-->
			<h:inputHidden value="#{bundle.Domain_Option_View_Event_Log}"
				id="viewEventLog"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_View_Audit_Log}"
				id="viewAuditLog"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Disk_Action}"
				id="diskAction"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_View_Disk}"
				id="viewDisk"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Locate_Disk}"
				id="locateDisk"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Option_Locate_Disk_Off}"
				id="locateDiskOff"></h:inputHidden>
			<h:inputHidden value="#{bundle.Domain_Remove_Confirmation}"
				id="hiddenDeleteConfirm"></h:inputHidden>
			<h:inputHidden value="#{bundle.Physical_Locate_Select_Alert}"
				id="hiddenLocateAlert"></h:inputHidden>
			<h:inputHidden
				value="#{bundle.Physical_Locate_Controller_Select_Alert}"
				id="hiddenLocateControllerAlert"></h:inputHidden>
			<h:inputHidden
				value="#{bundle.Physical_Locate_Controller_Select_Alert_Stop}"
				id="hiddenStopLocateControllerAlert"></h:inputHidden>
			<h:inputHidden value="#{bundle.Physical_Locate_Select_Alert_Stop}"
				id="hiddenStopLocateAlert"></h:inputHidden>
		</h:form>
		<h:form styleClass="form" id="form1">
			<hx:scriptCollector id="scriptCollector1"
				preRender="#{pc_MonitorAllSystems.initPrePageRender}"
				postRender="#{pc_MonitorAllSystems.initPostPageRender}">

					<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
						<!--  <TR>
							<TD><h:outputFormat styleClass="outputTextTitle"
								id="title_format"
								value="#{bundle.Domain_Label_Mornitor_All_System}"></h:outputFormat>
							</TD>
						</TR>
						<TR>
							<TD>&nbsp;</TD>
						</TR>-->
						<TR>
							<TD><h:outputFormat styleClass="outputText"
								id="description_format"
								value="#{bundle.Domain_Label_Descriptor}"></h:outputFormat>
							<HR>
							</TD>
						</TR>
						<TR>
							<TD>
								<jsp:include page="/page/disk/error/ErrorMessages.jsp"/>
							</TD>
						</TR>
						<TR>
							<TD><hx:commandExButton type="submit"
								value="#{bundle.Domain_Button_Refresh}"
								styleClass="commandExButton" id="button2" style="width: 80px"
								action="#{pc_MonitorAllSystems.doRefreshButton}"
								immediate="true" 
								onclick="return showWaitCursor(this, event);"></hx:commandExButton>
							<h:outputText styleClass="outputText" id="text1"
								value="#{bundle.Domain_Label_Last_Refresh} "
								style="valign : bottom;"></h:outputText> <h:outputText
								styleClass="outputText" id="text2"
								value="#{pc_MonitorAllSystems._lastRefreshTimeStamp}"
								style="valign : bottom;"></h:outputText></TD>
						</TR>
						<TR>
							<TD>&nbsp;</TD>
						</TR>
						<TR>
							<TD>
							<TABLE border="0" cellpadding="0" cellspacing="0" width="100%"
								class="tableBorderGray">
								<TR>
									<TD><hx:commandExButton type="submit"
										value="#{bundle.Domain_Button_Add_Host}"
										styleClass="commandExButton" id="button1"
										action="#{pc_MonitorAllSystems.doButton1Action}"
										style="width: 80px"
										onclick="return showWaitCursor(this, event);" immediate="true"></hx:commandExButton>
									<label for="menu1"> <img
										src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/clearpixel.gif") %>' height="1" width="1"
										border="0" alt="" /> </label> <h:selectOneMenu
										styleClass="selectOneMenu" id="menu1"
										onchange="return onChangeMenuHandler(this, event);"
										value="#{pc_MonitorAllSystems.userViewBean._actionValue}" title="#{bundle.Menu_Select}">
										<f:selectItem itemValue="Value0"
											itemLabel="#{bundle.Domain_Option_Select_Element}" />
										<f:selectItem itemValue="Value1"
											itemLabel="#{bundle.Domain_Option_Host_Action}" />
										<f:selectItem itemValue="viewHost"
											itemLabel="#{bundle.Domain_Option_View_Host}" />
										<f:selectItem itemValue="removeHost"
											itemLabel="#{bundle.Domain_Option_Remove_Host}" />
										<f:selectItem itemValue="Value2"
											itemLabel="#{bundle.Domain_Option_Array_Action}" />
										<f:selectItem itemValue="viewController"
											itemLabel="#{bundle.Domain_Option_View_Array}" />
										<f:selectItem itemValue="locateController"
											itemLabel="#{bundle.Domain_Option_Locate_Array}" />
										<f:selectItem itemValue="locateControllerOff"
											itemLabel="#{bundle.Domain_Option_Locate_Array_Off}" />
										<f:selectItem itemValue="Value3"
											itemLabel="------------------------" />
										<f:selectItem itemValue="viewPhysical"
											itemLabel="#{bundle.Domain_Option_View_Physical}" />
										<f:selectItem itemValue="configureVolume"
											itemLabel="#{bundle.Domain_Option_Config_Volume}" />
										<!--Removing Firmware Update per DCR46 for this release
										<f:selectItem itemValue="updateFirmware"
											itemLabel="#{bundle.Domain_Option_Update_Firmware}" />
										-->
										<f:selectItem itemValue="Value3"
											itemLabel="#{bundle.Domain_Option_Disk_Action}" />
										<f:selectItem itemValue="viewDisk"
											itemLabel="#{bundle.Domain_Option_View_Disk}" />
										<f:selectItem itemValue="locateDisk"
											itemLabel="#{bundle.Domain_Option_Locate_Disk}" />
										<f:selectItem itemValue="locateDiskOff"
											itemLabel="#{bundle.Domain_Option_Locate_Disk_Off}" />
										<f:selectItem itemValue="viewEventLog"
											itemLabel="#{bundle.Domain_Option_View_Event_Log}" />
										<f:selectItem itemValue="viewAuditLog"
											itemLabel="#{bundle.Domain_Option_View_Audit_Log}" />
										<f:selectItem itemValue="collectSupportData"
											itemLabel="#{bundle.Domain_Option_Collect_Support_Data}" />
									</h:selectOneMenu></TD>
								</TR>
								<TR>
									<TD>
									<DIV
										style="width:100%;height:300px;overflow-x:auto;overflow-y:auto">
									<hx:dataTableEx border="0" cellpadding="2" cellspacing="0"
										headerClass="dmc_headerClass" footerClass="dmc_footerClass"
										rowClasses="dmc_dataGrid_wpsTableRow"
										styleClass="dmc_dataTableEx" id="dataTable1"
										value="#{pc_MonitorAllSystems.userViewBean._entities}"
										var="allSystemVar" width="100%">
										<hx:columnEx id="hidden_id_column" align="left"
											style="display:none">
											<h:outputText id="hidden_id_output" escape="false"
												value="#{allSystemVar._rowId}" />
										</hx:columnEx>
										<hx:columnEx id="hidden_type_column" align="left"
											style="display:none">
											<h:outputText id="hidden_type_output" escape="false"
												value="#{allSystemVar._type}" />
										</hx:columnEx>
										<hx:columnEx id="hidden_nickname_column" align="left"
											style="display:none">
											<h:outputText id="hidden_nickname_output" escape="false"
												value="#{allSystemVar._nickname}" />
										</hx:columnEx>
										<hx:columnEx id="hidden_domainIP_column" align="left"
											style="display:none">
											<h:outputText id="hidden_domainIP_output" escape="false"
												value="#{allSystemVar._domainIP}" />
										</hx:columnEx>
										<hx:columnEx id="hidden_parentRowId_column" align="left"
											style="display:none">
											<h:outputText id="hidden_parentRowId_output" escape="false"
												value="#{allSystemVar._parentRowId}" />
										</hx:columnEx>
										<hx:columnEx id="nickname_column" align="left">
											<f:facet name="header">
												<h:outputText value="#{bundle.Domain_Colume_Nickname}"
													id="domain_nickname" />
											</f:facet>
											<h:outputText id="domain_nickname_output" escape="false"
												value="#{allSystemVar._nicknameCell}" />
										</hx:columnEx>
										<hx:columnEx id="type_column" align="left">
											<f:facet name="header">
												<h:outputText value="#{bundle.Domain_Colume_Type}"
													id="domain_type" />
											</f:facet>
											<h:outputText id="domain_type_output" escape="false"
												value="#{allSystemVar._typeString}" />
										</hx:columnEx>
										<hx:columnEx id="percentage_column" align="left">
											<f:facet name="header">
												<h:outputText value="#{bundle.Domain_Colume_Capacity}"
													id="domain_percentage" />
											</f:facet>
											<h:outputText id="domain_percentage_output" escape="false"
												value="#{allSystemVar._percentageCell}" />
										</hx:columnEx>
										<hx:columnEx id="status_column" align="left">
											<f:facet name="header">
												<h:outputText value="#{bundle.Domain_Colume_Status}"
													id="domain_status" />
											</f:facet>
											<h:outputText id="domain_status_output" escape="false"
												value="#{allSystemVar._statusCell}" />
										</hx:columnEx>

									</hx:dataTableEx></DIV>
									</TD>
								</TR>
							</TABLE>
					</TABLE>
			</hx:scriptCollector>
            
			<h:inputHidden id="hidden1"
				value="#{pc_MonitorAllSystems.userViewBean._selectedEntityRowID}" ></h:inputHidden>
			<h:inputHidden id="hiddenWeclome"
				value="#{pc_MonitorAllSystems.gotoWelcome}"  ></h:inputHidden>
			<hx:commandExButton type="submit" value="Submit" id="hidden_select_menu_btn" style="display:none"
				styleClass="commandExButton" action="#{pc_MonitorAllSystems.doSelectedAction}"></hx:commandExButton>
			<hx:commandExButton type="submit" value="Submit" id="hidden_welcome_btn" style="display:none"
				styleClass="commandExButton" action="#{pc_MonitorAllSystems.doWelcomeAction}"></hx:commandExButton>
		</h:form>
		<div id="loader_hidden_div" style="display:none"></div>
	</hx:scriptCollector>
	</BODY>
</f:view>
<SCRIPT type="text/javascript">
var objHiddenValue = document.getElementById(namespace_g + "form1:hiddenWeclome").value;
var btn = document.getElementById(namespace_g + "form1:hidden_welcome_btn");
launchWeclomePortlet(objHiddenValue,btn);
//bind onclick and onmouseover event
initTable();

//init menu
initSelectMenu();
setTimeout("loadControllerAndDisks()",1000);

</SCRIPT>
</HTML>
