<!-- 
	When this page is requested by AjaxErrorMessages.jsp, the url of the image can not be resolved correctly;
	While things go on well when this page is requested by ErrorMessages.jsp;
	So the following is to get the basePath of this page first, and then to make up the image's url using the basePath;
	Because this page is embedded into other pages, the 'BASE' tag is not used here in order to prevent more than one 'BASE' tags appearing in the same jsp page.
-->
<% 
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";	
%>

<script language="javascript" src="<%=basePath%>page/disk/error/errorMessages.js"></script>
<hx:dataIterator value="#{errorViewPageBean._errors}" var="error" rendered="#{errorViewPageBean._hasError}">
	<hx:jspPanel>
		<TABLE style="background-color: #e6e6e6; border-width: 2; border-style: solid; border-color: #2150BA; width: 80%;"
			 onclick="errorMessagesObj.selfClose(this, event);">
			<TBODY>
				<TR>
					<TD valign="top" style="padding: 10px" width="32px">
						<IMG SRC="<%=basePath%>images/status/status_critical32.gif"/>
					</TD>
					<TD>
						<h:outputText id="text_title" value="#{error._title}" styleClass="outputText" style="font-weight: bold"></h:outputText>
						<br>
						
						<h:outputText id="text_message" value="#{error._message}" styleClass="outputText"></h:outputText>
						<br>
						<br>
						
						<A href="javascript:;" id="closeMessage" onclick="errorMessagesObj.setCloseFlag(true)" class="dmc_requestLink" style="font-size:10pt;"><h:outputText value="#{bundle.Common_Messages_CloseMessage}"></h:outputText></A>
					</TD>
				</TR>
			</TBODY>
		</TABLE>
	</hx:jspPanel>
</hx:dataIterator>
