<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/logical/CreateVolume.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<HTML>
<HEAD>
<%@ include file="/page/disk/common/Header.jsp"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/logical/createvolume.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'></SCRIPT>
<TITLE>CreateVolume.jsp</TITLE>	
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcstyle.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcirctables.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmctables.css") %>' title="Style">	
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' title="Style">	

<style>
.info{
	border-right: 1px soild #000000;
	border-bottom: 1px soild #0c0c0c;
	background-color: #c0c0c0;
}
</style>
</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{pc_CreateVolume.initPrePageRender}">
		<h:form styleClass="form" id="form1">			
				<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
					<TBODY>
						<TR>
							<TD><!--<h:outputFormat styleClass="outputTextTitle"
								id="format_description" value="#{bundle.Create_Volume_Title}"></h:outputFormat>--></TD>
							<TD align="right" valign="top" rowspan="3"><hx:graphicImageEx
								styleClass="graphicImageEx" id="imageEx4"
								value="/images/entity/new_volume_02.gif" alt="#{bundle.Create_Volume_Title}" title="#{bundle.Create_Volume_Title}"></hx:graphicImageEx></TD>
						</TR>
						<TR>
							<TD>&nbsp;</TD>
						</TR>
						<TR>
							<TD><h:outputFormat styleClass="outputText"
								id="format_descContents"
								value="#{bundle.Create_Volume_Description}"></h:outputFormat></td>
						</TR>
						<TR>
							<TD colspan="2">
							<HR>
							</TD>
						</TR>
						<TR>
							<TD>
								<jsp:include page="/page/disk/error/ErrorMessages.jsp"/>
							</TD>
						</TR>
						<TR>
							<TD>
							<TABLE width="100%" border="0" cellpadding="3" cellspacing="0"
								class="borderGray">
								<TBODY>
									<TR>
										<TD width="22%">
											<h:outputText styleClass="outputText" id="format_current_device"
												value="#{bundle.Create_Volume_Select_RaidLevel_Label}">
											</h:outputText>
										</TD>
										<TD width="23%">
										<h:selectOneMenu styleClass="selectOneMenu"
											id="menu_device" onchange="return changeRaidLevel();"
											value="#{pc_CreateVolume.logicalArrayView._selectedArray._volumeViewBean._volumeCreateBean._raidLevel}"
											title="#{bundle.Menu_Select}">
											<f:selectItem itemLabel="#{bundle.Create_Volume_Select_Option}"
												itemValue="null" />
											<f:selectItems
												value="#{selectitems.pc_CreateVolume.logicalArrayView._selectedArray._volumeViewBean._volumeCreateBean._raidLevels._raidLevels.toArray}" />
										</h:selectOneMenu></TD>
										<TD rowspan="5" valign="top"
											style="border-left:1px solid #c0c0c0"><h:outputText
											styleClass="outputText" id="raidContent1"
											value="#{bundle.Create_Volume_Select_RaidLevel_Content1}"></h:outputText>
										<BR>
										<BR>
										<h:outputText styleClass="outputText" id="raidContent2"
											value="#{bundle.Create_Volume_Select_RaidLevel_Content2}"></h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText"
											id="raidLevel_description_detail_read_Performance"
											value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Read_Performance}">
										</h:outputText></TD>
										<TD><hx:graphicImageEx styleClass="graphicImageEx"
											id="imageEx1_r" value="/images/Raids/0_stars.gif" alt="#{bundle.Create_Volume_Zero_Stars}" title="#{bundle.Create_Volume_Zero_Stars}"></hx:graphicImageEx></TD>

									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText"
											id="raidLevel_description_detail_write_Performance"
											value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Write_Performance}">
										</h:outputText></TD>
										<TD><hx:graphicImageEx styleClass="graphicImageEx"
											id="imageEx1_w" value="/images/Raids/0_stars.gif" alt="#{bundle.Create_Volume_Zero_Stars}" title="#{bundle.Create_Volume_Zero_Stars}"></hx:graphicImageEx></TD>

									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText"
											id="raidLevel_description_detail_Availability"
											value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Availability}">
										</h:outputText></TD>
										<TD><hx:graphicImageEx styleClass="graphicImageEx"
											id="imageEx2" value="/images/Raids/0_stars.gif" alt="#{bundle.Create_Volume_Zero_Stars}" title="#{bundle.Create_Volume_Zero_Stars}"></hx:graphicImageEx></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText"
											id="raidLevel_description_detail_consumption"
											value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Consumption}">
										</h:outputText></TD>
										<TD><hx:graphicImageEx styleClass="graphicImageEx"
											id="imageEx3" value="/images/Raids/0_dollars.gif" alt="#{bundle.Create_Volume_Zero_Dollar}" title="#{bundle.Create_Volume_Zero_Dollar}"></hx:graphicImageEx></TD>
									</TR>
								</TBODY>
							</TABLE>
							</TD>
						</TR>
						<TR>
							<TD>&nbsp;</TD>
						</TR>
						<TR>
							<TD><h:outputText styleClass="outputText" id="selectDisk_AlertInfo">
							</h:outputText></td>
						</TR>
						<TR>
							<TD>&nbsp;</TD>
						</TR>
						<TR>
							<TD>
							<DIV style="width:100%;height:200px;overflow-x:auto;overflow-y:auto">
							<TABLE border="0" cellpadding="0" cellspacing="0" width="100%" class="tableBorderGray">
							<TR>
									<TD class="dmc_portletLikeTitleBackground" style="border-width:0px;">
										<h:outputText styleClass="outputTextWhite" id="raidLevel_Minidrives"
											value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Minidrives}">
										</h:outputText>
										<h:outputText styleClass="outputTextWhite" id="raidLevel_Minidrives_Number" value=" ">
										</h:outputText> 
									</TD>
									<TD class="dmc_portletLikeTitleBackground" style="border-width:0px;">
										<h:outputText styleClass="outputTextWhite" id="raidLevel_Maxdrives"
											value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Maxdrives}">
										</h:outputText>
										<h:outputText styleClass="outputTextWhite" id="raidLevel_Maxdrives_Number" value=" ">
										</h:outputText>
									</TD>
							</TR>
							<TR><TD colspan="2">
							<hx:dataTableEx border="0" cellpadding="2" cellspacing="0"
							headerClass="dmc_headerClass" 
							footerClass="dmc_footerClass" rowClasses="dmc_dataGrid_wpsTableRow"
							styleClass="dmc_dataTableEx" id="dataTable_disks"
							value="#{pc_CreateVolume.logicalArrayView._selectedArray._volumeViewBean._volumeCreateBean._disks}"
							var="varDisks" width="100%">
							<hx:columnEx id="_column1" width="5%" align="left">
								<f:facet name="header">
									<h:outputText value="#{bundle.Table_Select}" id="text22">
									</h:outputText>
								</f:facet>
								<h:selectBooleanCheckbox id="rowSelect1" value="#{varDisks._selected}" onclick="return onSelectDisk(this,event);" title="#{bundle.Table_Select}">
								</h:selectBooleanCheckbox>
							</hx:columnEx>
							<hx:columnEx id="_column2" width="25%" align="left">
								<f:facet name="header">
									<hx:sortHeader id="sort_name" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_CreateVolume.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
										<h:outputText value="#{bundle.Physical_Label_Logical_ID}"></h:outputText>
									</hx:sortHeader>
								</f:facet>
								<h:outputText id="_nameCell" escape="false" value="#{varDisks._nameCell}">
								</h:outputText>
							</hx:columnEx>
							<hx:columnEx id="_columnPhysicalLoc" width="25%" align="left">
								<f:facet name="header">
									<hx:sortHeader id="sort_physicalloc" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_CreateVolume.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
										<h:outputText value="#{bundle.Physical_Label_Physical_Location}"></h:outputText>
									</hx:sortHeader>
								</f:facet>
								<h:outputText id="_physicalloc" escape="false" value="#{varDisks._physicalLoc}">
								</h:outputText>
							</hx:columnEx>
							<hx:columnEx id="_column3" width="15%" align="left">
								<f:facet name="header">
									<hx:sortHeader id="sort_type" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_CreateVolume.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
										<h:outputText value="#{bundle.Create_Volume_Table_Type}"></h:outputText>
									</hx:sortHeader>
								</f:facet>
								<h:outputText id="_type" escape="false" value="#{varDisks._type}">
								</h:outputText>
							</hx:columnEx>
							<hx:columnEx id="_colume4" width="15%" align="left">
								<f:facet name="header">
									<hx:sortHeader id="sort_capacity" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_CreateVolume.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
										<h:outputText value="#{bundle.Create_Volume_Table_Capacity}"></h:outputText>
									</hx:sortHeader>
								</f:facet>
								<h:outputText id="_remainingCapacity" escape="false" value="#{varDisks._remainingCapacity}">
								</h:outputText>
							</hx:columnEx>
							<hx:columnEx id="_colume5" width="15%" align="left">
								<f:facet name="header">
									<hx:sortHeader id="sort_status" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_CreateVolume.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
										<h:outputText value="#{bundle.Create_Volume_Table_Status}"></h:outputText>
									</hx:sortHeader>
								</f:facet>
								<h:outputText id="_statusImg" escape="false" value="#{varDisks._statusCell}">
								</h:outputText>
							</hx:columnEx>
							<f:facet name="footer">
								<hx:jspPanel id="_footerBox">
									<h:selectBooleanCheckbox id="_selectAll" title="#{bundle.Select_All}" value="false" onclick="return onSelectAllDisks(this,event,'dataTable_disks');"></h:selectBooleanCheckbox>
									<h:outputText id="checkBoxLabel" value="#{bundle.Select_All}" styleClass="dmc_outputTextS"></h:outputText>
								</hx:jspPanel>
							</f:facet>
							</hx:dataTableEx></TD></TR></TABLE>
							</DIV>
							</TD>
						</TR>
						<TR>
							<TD colspan="2"><hx:commandExButton type="submit"
								value="#{bundle.Create_Volume_Ok_Button}"
								styleClass="commandExButton" id="ok_button"
								action="#{pc_CreateVolume.doOk_buttonAction}"
								onclick="return showWaitCursor(this, event);"
								style="width: 80px"></hx:commandExButton> 
								<hx:commandExButton type="submit" value="#{bundle.Create_Volume_Cancel_Button}"
								styleClass="commandExButton" id="cancel_button"
								action="#{pc_CreateVolume.doCancel_buttonAction}"
								immediate="true" onclick="return showWaitCursor(this, event);"
								style="width: 80px"></hx:commandExButton></TD>
						</TR>
					</TBODY>
				</TABLE>
				<script type="text/javascript">
					// disable the OK buttone as soon as it is rendered
					// in case of being clicked improperly
					var okbutton = document.getElementById(namespace_g + "form1:ok_button");
					okbutton.disabled = true;
				</script>
				<h:outputText style="display:none" styleClass="outputText"
					id="raid0Content1"
					value="#{bundle.Create_Volume_Select_Raid0_Content1}"></h:outputText>
				<h:outputText style="display:none" styleClass="outputText"
					id="raid0Content2"
					value="#{bundle.Create_Volume_Select_Raid0_Content2}"></h:outputText>
				<h:outputText style="display:none" styleClass="outputText"
					id="raid1Content1"
					value="#{bundle.Create_Volume_Select_Raid1_Content1}"></h:outputText>
				<h:outputText style="display:none" styleClass="outputText"
					id="raid1Content2"
					value="#{bundle.Create_Volume_Select_Raid1_Content2}"></h:outputText>
				<h:outputText style="display:none" styleClass="outputText"
					id="raid1EContent1"
					value="#{bundle.Create_Volume_Select_Raid1E_Content1}"></h:outputText>
				<h:outputText style="display:none" styleClass="outputText"
					id="raid1EContent2"
					value="#{bundle.Create_Volume_Select_Raid1E_Content2}"></h:outputText>
				<h:outputText style="display:none" styleClass="outputText"
					id="raidSelContent1"
					value="#{bundle.Create_Volume_Select_RaidLevel_Content1}"></h:outputText>
				<h:outputText style="display:none" styleClass="outputText"
					id="raidSelContent2"
					value="#{bundle.Create_Volume_Select_RaidLevel_Content2}"></h:outputText>
			
		</h:form>
		<h:form styleClass="form" id="form2">
			<h:inputHidden value="#{bundle.Create_Volume_Select_Two_Alert}"
				id="hiddenCreateAlert"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Five_Stars}"
				id="fiveStars"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Four_Stars}"
				id="fourStars"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Three_Stars}"
				id="threeStars"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Two_Stars}"
				id="twoStars"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_One_Star}"
				id="oneStar"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Zero_Stars}"
				id="zeroStars"></h:inputHidden>
				
			<h:inputHidden value="#{bundle.Create_Volume_Five_Dollars}"
				id="fiveDollars"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Four_Dollars}"
				id="fourDollars"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Three_Dollars}"
				id="threeDollars"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Two_Dollars}"
				id="twoDollars"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_One_Dollar}"
				id="oneDollar"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_Zero_Dollar}"
				id="zeroDollar"></h:inputHidden>	
				
			<h:inputHidden value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Availability}"
				id="availability"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Read_Performance}"
				id="readPerformance"></h:inputHidden>
			<h:inputHidden value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Write_Performance}"
				id="writePerformance"></h:inputHidden>	
			<h:inputHidden value="#{bundle.Create_Volume_RaidLevel_Description_Detail_Consumption}"
				id="consumption"></h:inputHidden>				
		</h:form>
	</hx:scriptCollector>
	<script>
	initPage();
	</script>
	</BODY>
</f:view>
</HTML>
