<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/logical/VolumeProperties.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<HTML>
<HEAD>
<%@ include file="/page/disk/common/Header.jsp"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<TITLE>VolumeProperties.jsp</TITLE>
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcstyle.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcirctables.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmctables.css") %>' title="Style">	
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' title="Style">		
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'></SCRIPT>
<SCRIPT type="text/javascript">
function postPageLoad() {
	document.getElementById(namespace_g + "form1:locate_button").disabled = true;
	document.getElementById(namespace_g + "form1:locateOff_button").disabled = true;
	registTableEvent();
	
}

function registTableEvent()
{
	var tableObj = document.getElementById(namespace_g + "form1:dataTable1");
	if(tableObj)
	{
		var oRows = tableObj.rows;
		//ignore header and footer
		for(var i = 1; i < oRows.length - 1; i++)
		{
			oRows[i].onclick = highlightRowClick;
		}
	}		

}

function selectRow(thisObj, thisEvent, table){
	var rowObj = getRowByCell(thisObj);
	highlightRow(rowObj,thisObj.checked);
	if(checkHasSelected(table))
	{
		document.getElementById(namespace_g + "form1:locate_button").disabled = false;
		document.getElementById(namespace_g + "form1:locateOff_button").disabled = false;		
	}else{
		document.getElementById(namespace_g + "form1:locate_button").disabled = true;
		document.getElementById(namespace_g + "form1:locateOff_button").disabled = true;		
	}	
	//don't pass the event to parentElement
	var e = (window.event) ? window.event : thisEvent;
	e.cancelBubble = true;

}

function checkHasSelected(table)
{
	var index=0;
	var checkboxCell = document.getElementById(namespace_g + "form1:"+table+":"+index+":rowSelect");
	
	//var numberSelected=0;
	while(checkboxCell != null){
		if(checkboxCell.checked){
			return true;
		}
		index++;
		checkboxCell = document.getElementById(namespace_g + "form1:"+table+":"+index+":rowSelect");
	}
	return false;
}

function locateOnClick(thisObj, thisEvent, start)
{
	var suggestion = true;
	var checkedRows = getCurrentCheckedRows();
	var diskIdsStr="";
	for(var i=0;i<checkedRows.length;i++)
	{
		var diskName = getCellValue(checkedRows[i],1);
		diskIdsStr += "\n" + "                          " + diskName;
	}		
	var msg;
	if ( start == false ) {
		msg = document.getElementById(namespace_g + "form2:hiddenStopLocateAlert").value;
	} else {
		msg = document.getElementById(namespace_g + "form2:hiddenLocateAlert").value;
	}
	msg = msg + diskIdsStr;
    suggestion = confirm(msg);  
    if(suggestion == true){
    	return showWaitCursor(thisObj, thisEvent);
    }else{
    	return false;
    }
}

//get the selected row 
function getCurrentCheckedRows()
{
	var index=0;
	var returnRows = new Array();
	var checkboxCell = document.getElementById(namespace_g + "form1:dataTable1:"+index+":rowSelect");
	var i = 0;
	//var numberSelected=0;
	while(checkboxCell != null){
		if(checkboxCell.checked){
			returnRows[i] = getRowByCell(checkboxCell);
			i++;
		}
		index++;
		checkboxCell = document.getElementById(namespace_g + "form1:dataTable1:"+index+":rowSelect");
	}
	return returnRows;
}

//get the cell value
function getCellValue(row,index)
{
	return getDeepestChild(row.cells[index].childNodes[0]).innerHTML.removeHtmlSpace();
}

function getCell(row,index)
{
	return row.cells[index];
}

function getCheckedCellByRow(row)
{
	//alert(row.cells[0].innerHTML);
	return row.cells[0].childNodes[0];
}

function getRowByCell(cell)
{
 	var rowObj = cell.parentNode;
	while (rowObj.tagName.toUpperCase() != "TR" ){
		rowObj = rowObj.parentNode;
	}
	return rowObj;
	
}

function changeAllSelect(thisObj,thisEvent,table)
{
	//alert("changeAllSelect");
	var index=0;
	var checkboxCell = document.getElementById(namespace_g + "form1:"+table+":"+index+":rowSelect");
	while(checkboxCell != null){
		checkboxCell.checked = thisObj.checked;
		if(checkboxCell.checked){
			document.getElementById(namespace_g + "form1:locate_button").disabled = false;
			document.getElementById(namespace_g + "form1:locateOff_button").disabled = false;
		}else{
			document.getElementById(namespace_g + "form1:locate_button").disabled = true;
			document.getElementById(namespace_g + "form1:locateOff_button").disabled = true;
		}
		index++;
		var rowObj = getRowByCell(checkboxCell);
		highlightRow(rowObj,checkboxCell.checked);
		checkboxCell = document.getElementById(namespace_g + "form1:"+table+":"+index+":rowSelect");
	}
}

/**
 * highlight table row that the cell is belonged
 * row: the row object which will be higlighted.
 * flag: 'true' highlight |'false' cancel highlight state
 **/
function highlightRow(rowObj, highlight){
 	if (highlight){
	 	rowObj.className="dmc_dataGrid_wpsTableHighlightedRow";
 	}else{
	 	rowObj.className="dmc_dataGrid_wpsTableRow";
 	}
 }

//event handler for click on table row
function highlightRowClick()
{
	var elmt = document.getElementById(namespace_g + "form1:dataTable1");
	var trs = elmt.getElementsByTagName("tr");
	//ignore header and footer
	for(var i=1;i<trs.length;i++){
		var classname=trs[i].className;
		var checkedCell = getCheckedCellByRow(trs[i]);
		if(checkedCell!=null)
		{
			//if not selected
			if(checkedCell.checked==false&&checkedCell.id!="form1:dataTable1:select_all")
			{
				trs[i].className = "dmc_dataGrid_wpsTableRow";
			}
		}
	}	
	this.className = "dmc_dataGrid_wpsTableHighlightedRow";
}
	

function showCloseWaitCursor(thisObj, thisEvent) {
//use 'thisObj' to refer directly to this component instead of keyword 'this'
//use 'thisEvent' to refer to the event generated instead of keyword 'event'
document.body.style.cursor='wait';
thisObj.style.cursor='wait';
document.getElementById(namespace_g + 'form1:locate_button').style.cursor='wait';
document.getElementById(namespace_g + 'form1:locateOff_button').style.cursor='wait';
}
</SCRIPT>
</HEAD>
<f:view>
<BODY>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{pc_VolumeProperties.initPrePageRender}">
		
			<h:form styleClass="form" id="form1">
				<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
					<TR>
						<TD><hx:graphicImageEx styleClass="graphicImageEx"
							id="imageEx_volume"
							value="/images/entity/volume_large.gif" alt=""></hx:graphicImageEx>&nbsp;
						<!--<h:outputText styleClass="outputTextTitle"
							id="format_volume_properties_title"
							value="#{bundle.Volume_Properties_Title}"></h:outputText>--></TD>
					</TR>
					<!--<TR>
						<TD>&nbsp;</TD>
					</TR>  -->
					<TR>
						<TD><jsp:include page="/page/disk/error/ErrorMessages.jsp"/></TD>
					</TR>
					<TR>
						<TD>
						<TABLE border="1" cellpadding="0" cellspacing="0" width="60%">
							<tr>
								<td>
								<TABLE width="100%">
									<TR>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_identifier"
											value="#{bundle.Volume_Properties_Volume_Identifier}"></h:outputFormat></TD>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_identifier_value"
											value="#{pc_VolumeProperties.logicalArrayView._selectedArray._volumeViewBean._currentVolume._nickname}">
										</h:outputFormat></TD>
									</TR>
									<TR>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_capacity"
											value="#{bundle.Volume_Properties_Volume_Capacity}"></h:outputFormat></TD>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_capacity_value"
											value="#{pc_VolumeProperties.logicalArrayView._selectedArray._volumeViewBean._currentVolume._capacity}">
										</h:outputFormat>&nbsp;<h:outputText styleClass="outputText" id="text1"
											value="#{bundle.Properties_GB_Unit}"></h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_raidLevel"
											value="#{bundle.Volume_Properties_Volume_RaidLevel}"></h:outputFormat></TD>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_raidLevel_value"
											value="#{pc_VolumeProperties.logicalArrayView._selectedArray._volumeViewBean._currentVolume._raidLevel}">
										</h:outputFormat></TD>
									</TR>
									<TR>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_attached_hosts"
											value="#{bundle.Volume_Properties_Attached_Hosts}"></h:outputFormat></TD>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_attached_hosts_value"
											value="#{pc_VolumeProperties.logicalArrayView._selectedArray._volumeViewBean._currentVolume._attachedHost}">
										</h:outputFormat></TD>
									</TR>
									<TR>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_spare_protected"
											value="#{bundle.Volume_Properties_SPAPRE_PROTECT}"></h:outputFormat></TD>
										<TD><h:outputFormat styleClass="outputText"
											id="format_volume_spare_protected_value"
											value="#{pc_VolumeProperties.logicalArrayView._selectedArray._volumeViewBean._currentVolume._spareProtected}">
										</h:outputFormat></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText" id="text2"
											value="#{bundle.Volume_Properties_Volume_Status}"></h:outputText></TD>
										<TD><hx:graphicImageEx styleClass="graphicImageEx"
											id="imageEx2"
											value="#{pc_VolumeProperties.logicalArrayView._selectedArray._volumeViewBean._currentVolume._statusImg}"
											alt=""></hx:graphicImageEx>&nbsp;<h:outputText
											styleClass="outputText" id="text3"
											value="#{pc_VolumeProperties.logicalArrayView._selectedArray._volumeViewBean._currentVolume._status}"></h:outputText></TD>
									</TR>
								</TABLE>
								</TD>
							</TR>
						</TABLE>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;</TD>
					</TR>
					<TR>
						<TD>
						<TABLE border="1" cellpadding="0" cellspacing="0" width="100%">
							<TR>
								<TD>
									<table width="100%" border="0" cellpadding="0" cellspacing="0">
									<TR>
										<TD><h:outputText styleClass="outputTextTitle2"
											id="format_volume_disk_drivers"
											value="#{bundle.Volume_Properties_Disk_Drivers}"></h:outputText></TD>
									</TR>
									<TR>
										<TD>&nbsp;</TD>
									</TR>
									</table>
									<TABLE border="0" cellpadding="0" cellspacing="0" width="100%"
										class="tableBorderGray">
									<TR>
										<TD>
										<hx:dataTableEx border="0" cellpadding="2"
											cellspacing="0" headerClass="dmc_headerClass"
											footerClass="dmc_footerClass"
											rowClasses="dmc_dataGrid_wpsTableRow"
											styleClass="dmc_dataTableEx" id="dataTable1"
											value="#{pc_VolumeProperties.logicalArrayView._selectedArray._volumeViewBean._currentVolume._relatedDisks}"
											var="allRelatedDisksVar" width="100%">
											<hx:columnEx id="ID_column" align="left">
												<f:facet name="header">
													<h:outputText value="#{bundle.Table_Select}" id="ID"></h:outputText>
												</f:facet>
												<h:selectBooleanCheckbox  styleClass="selectBooleanCheckbox" 
													value="#{allRelatedDisksVar._selected}" id="rowSelect"
													onclick="return selectRow(this,event,'dataTable1');">
												</h:selectBooleanCheckbox>
											</hx:columnEx>
											<hx:columnEx id="nameCell_column" align="left">
												<f:facet name="header">
													<hx:sortHeader id="sort_name" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeProperties.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
														<h:outputText value="#{bundle.Physical_Label_Logical_ID}"></h:outputText>
													</hx:sortHeader>
												</f:facet>
												<h:outputText id="nameCell_output" escape="false"
													value="#{allRelatedDisksVar._nameCell}" />
											</hx:columnEx>
											<hx:columnEx id="physicalLoc_column" align="left">
												<f:facet name="header">
													<hx:sortHeader id="sort_physicalloc" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeProperties.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
														<h:outputText value="#{bundle.Physical_Label_Physical_Location}"></h:outputText>
													</hx:sortHeader>
												</f:facet>
												<h:outputText id="physicalLoc_output" escape="false"
													value="#{allRelatedDisksVar._physicalLoc}" />
											</hx:columnEx>
											<hx:columnEx id="type_column" align="left">
												<f:facet name="header">
													<hx:sortHeader id="sort_type" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeProperties.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
														<h:outputText value="#{bundle.Physical_Label_Disk_Type}"></h:outputText>
													</hx:sortHeader>
												</f:facet>
												<h:outputText id="type_output" escape="false"
													value="#{allRelatedDisksVar._type}" />
											</hx:columnEx>
											<hx:columnEx id="capacity_column" align="center">
												<f:facet name="header">
													<hx:sortHeader id="sort_capacity" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeProperties.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
														<h:outputText value="#{bundle.Physical_Label_Disk_Capacity}"></h:outputText>
													</hx:sortHeader>
												</f:facet>
												<h:outputText id="capacity_output" escape="false"
													value="#{allRelatedDisksVar._capacity}" />
											</hx:columnEx>
											<hx:columnEx id="usage_column" align="center">
												<f:facet name="header">
													<hx:sortHeader id="sort_usage" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeProperties.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
														<h:outputText value="#{bundle.Physical_Label_Disk_Usage}"></h:outputText>
													</hx:sortHeader>
												</f:facet>
												<h:outputText id="usage_output" escape="false"
													value="#{allRelatedDisksVar._usage}" />
											</hx:columnEx>
											<hx:columnEx id="statusImg_column" align="left">
												<f:facet name="header">
													<hx:sortHeader id="sort_status" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeProperties.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
														<h:outputText value="#{bundle.Physical_Label_Disk_Status}"></h:outputText>
													</hx:sortHeader>
												</f:facet>
												<h:outputText id="statusImg_output" escape="false"
													value="#{allRelatedDisksVar._statusCell}" />
											</hx:columnEx>
											<f:facet name="footer">
												<hx:jspPanel id="footer_box">
													<h:selectBooleanCheckbox id="select_all" 
														onclick="changeAllSelect(this, event,'dataTable1');">
													</h:selectBooleanCheckbox>
													<h:outputText id="checkBoxLabel"
														value="#{bundle.Select_All}" styleClass="dmc_outputTextS"></h:outputText>
												</hx:jspPanel>
											</f:facet>
										</hx:dataTableEx></TD>
									</TR>
								</table>
								<table width="100%">
									<TR>
										<TD><hx:commandExButton type="submit"
											styleClass="commandExButton" id="locate_button"
											value="#{bundle.Volume_Properties_Locate_Button}"
											onclick="return locateOnClick(this, event,true);"
											action="#{pc_VolumeProperties.doLocate_buttonAction}"></hx:commandExButton>
										<hx:commandExButton type="submit" styleClass="commandExButton"
											id="locateOff_button"
											value="#{bundle.Volume_Properties_Locate_Off_Button}"
											onclick="return locateOnClick(this, event,false);"
											action="#{pc_VolumeProperties.doLocateOff_buttonAction}"></hx:commandExButton>
										</TD>
									</TR>
								</TABLE>
								</TD>
							</TR>
						</TABLE>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;</TD>
					</TR>
					<TR>
						<TD><hx:commandExButton type="submit"
							value="#{bundle.Volume_Properties_Close_Button}"
							styleClass="commandExButton" id="close_button"
							action="#{pc_VolumeProperties.doClose_buttonAction}"
							onclick="return showWaitCursor(this, event);" style="width: 80px"></hx:commandExButton>
						</TD>
					</TR>
				</TABLE>
			</h:form>
			<h:form styleClass="form" id="form2">
				<h:inputHidden value="#{bundle.Physical_Locate_Select_Alert}"
					id="hiddenLocateAlert"></h:inputHidden>
				<h:inputHidden value="#{bundle.Physical_Locate_Select_Alert_Stop}"
					id="hiddenStopLocateAlert"></h:inputHidden>		
           </h:form>
          
	</hx:scriptCollector>
	</BODY>
	</f:view>
	</HTML>
	<SCRIPT type="text/javascript">
	postPageLoad();
</SCRIPT>

	
