<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/physical/ControllerPropLoader.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>


<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath();
 %>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />

<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/tabpanel.css" %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/stylesheet.css" %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/dmcstyle.css" %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/dmctables.css" %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/dmcirctables.css" %>' title="Style">
<TITLE>ControllerPropLoader.jsp</TITLE>
</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_ControllerPropLoader.onPageLoadBegin}">
	<IRC:DIV id="wrapper">
	<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
		<TR>
			<TD>&nbsp;</TD>
		</TR>
		<TR>
			<TD>
				<jsp:include page="/page/disk/error/AjaxErrorMessages.jsp"/>
			</TD>
		</TR>
		<TR>
			<TD>
			<TABLE border="1" cellpadding="0" cellspacing="0" width="60%">
				<tr>
					<td>
					<Table width="100%">
						<TR>
							<TD><h:outputText styleClass="outputText" id="textNickName"
								value="#{bundle.Physical_Label_Nickname}"></h:outputText></TD>
							<TD><h:outputText styleClass="outputText" id="textNickNameValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._nickname}">
							</h:outputText></TD>
						</TR>
						<TR>
							<TD><h:outputText styleClass="outputText" id="textModel"
								value="#{bundle.Physical_Label_Model}"></h:outputText></TD>
							<TD><h:outputText styleClass="outputText" id="textModelValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._model}">
							</h:outputText></TD>
						</TR>
						<TR>
							<TD><h:outputText styleClass="outputText" id="textSerialNum"
								value="#{bundle.Physical_Label_Serial_Number}"></h:outputText></TD>
							<TD><h:outputText styleClass="outputText" id="textSerialNumValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._serialNumber}"></h:outputText></TD>
						<TR>
							<TD><h:outputText styleClass="outputText" id="textFWLevel"
								value="#{bundle.Physical_Label_Firmware_Level}"></h:outputText></TD>
							<TD><h:outputText styleClass="outputText" id="textFWLevelValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._firmwareLevel}">
							</h:outputText>
							<!--Removing Firmware Update per DCR46 for this release
							&nbsp;
							<hx:commandExButton type="button"
								value="#{bundle.Physical_Label_Update_Button}"
								styleClass="commandExButton" id="phy_update_firmware"
								onclick="redirctFWUpdate()"></hx:commandExButton>
							-->
							</TD>
						</TR>
						<TR>
							<TD><h:outputText styleClass="outputText" id="textWWNN"
								value="#{bundle.Physical_Label_WWNN}"></h:outputText></TD>
							<TD><h:outputText styleClass="outputText" id="textWWNNValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._WWNN}">
							</h:outputText></TD>
						</TR>
						<TR>
							<TD><h:outputText styleClass="outputText" id="textDDM"
								value="#{bundle.Physical_Label_Disk_Drives}"></h:outputText></TD>
							<TD><h:outputText styleClass="outputText" id="textDDMValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._DDMQty}">
							</h:outputText></TD>
						</TR>
						<TR>
							<TD><h:outputText styleClass="outputText" id="textVolumeNum"
								value="#{bundle.Domain_Properties_Label_Volumes}"></h:outputText></TD>
							<TD><h:outputText styleClass="outputText" id="textVolumeNumValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._numOfVolumes}">
							</h:outputText></TD>
						</TR>
						<TR>
							<TD><h:outputText styleClass="outputText" id="textSparesNum"
								value="#{bundle.Domain_Properties_Label_Spares}"></h:outputText></TD>
							<TD><h:outputText styleClass="outputText" id="textSparesNumValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._numOfSpares}">
							</h:outputText></TD>
						</TR>
						<TR>
							<TD><h:outputText styleClass="outputText" id="textStatus"
								value="#{bundle.Physical_Label_Device_Status}"></h:outputText></TD>
							<TD><hx:graphicImageEx styleClass="graphicImageEx" id="statusImg"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._statusImg}"
								alt=""></hx:graphicImageEx>&nbsp; <h:outputText
								styleClass="outputText" id="textStatusValue"
								value="#{pc_ControllerPropLoader.physicalArrayView._selectedArray._status}">
							</h:outputText></TD>
						</TR>
					</TABLE>
					</td>
				</tr>
			</TABLE>
			</TD>
		</TR>
	</TABLE>
	</IRC:DIV>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
