// physical.js

var loadControllerProp = false;

function launchWeclomePortlet(objHiddenValue,btn){
     if (objHiddenValue != ""){
//	 	alert("activate script");
     	btn.click();
     }
}

function postPageLoad(){
    $(namespace_g + "form1:diskSpare").disabled = true;
    $(namespace_g + "form1:disksLocate").disabled = true;
    $(namespace_g + "form1:disksLocateOff").disabled = true;
    $(namespace_g + "form1:viewProperties").disabled = true;
    //hemingg updated set the selectall unchecked
    $(namespace_g + "form1:diskViewTable:_selectAll").checked = false;
    defaultCloseBranch("propBranch");
    setTableClass();
    setTableEvent();
}

var openImg = new Image();
openImg.src = current_context + "theme/opened.gif";
var closedImg = new Image();
closedImg.src = current_context + "theme/closed.gif";

function defaultCloseBranch(branch){
    $(branch).style.display = "none";
}

function showBranch(branch){
    var objBranch = $(branch).style;
    
    if (objBranch.display == "") {
        objBranch.display = "block";
    }
    if (objBranch.display == "block") {
        objBranch.display = "none";
        if ("propBranch" == branch && loadControllerProp == false) {
        
            displayWaitingMsg();
        }
    }
    else {
        objBranch.display = "block";
    }
    
    if (objBranch.display == "block") {
        if ("propBranch" == branch && loadControllerProp == false) {
            loadControllerProp = true;
            getControllerProp();
        }
    }
    setTableClass();
}

function getControllerProp(){
    var currentUrl = location.href;
	var begin = currentUrl.lastIndexOf("ibm/console/");
	var prefix = currentUrl.substr(0,begin+12);
 	//var url = prefix + "navigation.do?pageID=" + PORTLET_CONTROLLER_PROP +"&moduleRef=" + CONTEXT_NAME + "&ISC.TASKTYPE=2";
    var url = "/" + CONTEXT_NAME + "/faces/page/disk/physical/ControllerPropLoader.jsp";
    xmlHttpRequest.sendGET(url, displayControllerProp);
}

function displayControllerProp(response){
    var oSpan = $("propBranch");
    var responseHTML = response.responseText;
    var content = extractHTMLContentByIRCDiv(responseHTML);
    if (content != null && content != "") {
        try {
            oSpan.innerHTML = content;
        } 
        catch (e) {
            loadControllerProp = false;
            displayLoadingFailureMsg();
        }
    }
    else {
        //So user can click and load again
        loadControllerProp = false;
        displayLoadingFailureMsg();
    }
}

function displayLoadingFailureMsg(){
    $("failure").style.display = "block";
    $("wait").style.display = "none";
}

function displayWaitingMsg(){
    $("failure").style.display = "none";
    $("wait").style.display = "block";
}

function redirctFWUpdate(){
    var currentUrl = location.href;
    var isJsp = currentUrl.lastIndexOf(".jsp");
    var prefix = findStrPrefix(currentUrl, "/disk/physical");
    if (isJsp > 0) {
        var url = prefix + current_context + "/Wait.jsp?link=firmware/UpdateFirmware.jsp"; //  may need fix !
    }
    else {
        var url = prefix + current_context + "/Wait.faces?link=firmware/UpdateFirmware.faces";
    }
    document.location = url;
}

function findStrPrefix(src, matchPattern){
    var begin = src.lastIndexOf(matchPattern);
    return src.substr(0, begin + 1);
}


function swapFolder(img){
    objImg = $(namespace_g + img);
    if (objImg.src.indexOf('opened.gif') == -1) 
        objImg.src = openImg.src;
    else 
        objImg.src = closedImg.src;
}

var usageRowCellIdx = 7;

function getUsageMode(oCheckbox){
    var oRow = oCheckbox.parentNode.parentNode;
    var oUsageModeCell = oRow.cells[usageRowCellIdx];
    return getDeepestChild(oUsageModeCell).innerHTML;
}

//helper function, returns true if the row contains a checked box
function hasCheckedBox(row){
    var ret = false
    var oInputs = row.getElementsByTagName("Input");
    for (var j = 0; j < oInputs.length; j++) {
        if (oInputs[j].type == "checkbox" && oInputs[j].checked) {
            ret = true;
            break;
        }
    }
    return ret;
}

//generate confirmation message from table content
function mergeMsg(msg){
    var oTable = $(namespace_g + "form1:diskViewTable");
    var oRows = oTable.rows;
    //ignore header and footer
    for (var i = 1; i < oRows.length - 1; i++) {
        //The current row has a checked check box
        //Find the nickname of the corresponding volume
        if (hasCheckedBox(oRows[i])) {
            //The cell that contains volume nickname
            oCell = oRows[i].cells[1];
            
            var nickName = getDeepestChild(oCell).innerHTML.removeHtmlSpace();
            msg += "\n" + "                          " + nickName;
        }
    }
    return msg;
}

//formate the nls message,
//replace symbol masses ({i}) by each value of args 
function NlsFormatMsg(msgTemplate, args){
    var symbol = "";
    if (args != null && msgTemplate != "") {
        var len = args.length;
        for (var i = 0; i < len; i++) {
            symbol = "{" + i + "}";
            var begin = msgTemplate.lastIndexOf(symbol);
            msgTemplate = msgTemplate.substr(0, begin) + args[i] + msgTemplate.substr(begin + 3);
        }
    }
    return msgTemplate;
}

//set event handler for all the table rows
function setTableEvent(){
    var oTable = $(namespace_g + "form1:diskViewTable");
    if (oTable) {
        var oRows = oTable.rows;
        //ignore header and footer
        for (var i = 1; i < oRows.length - 1; i++) {
            oRows[i].onclick = highLightRow;
        }
    }
}

//helper function that sets the class for table rows
function setTableClass(){
    var oTable = $(namespace_g + "form1:diskViewTable");
    if (oTable) {
        var oRows = oTable.rows;
        for (var i = 1; i < oRows.length - 1; i++) {
            if (hasCheckedBox(oRows[i])) {
                oRows[i].className = "dmc_dataGrid_wpsTableHighlightedRow";
            }
            else {
                oRows[i].className = "dmc_dataGrid_wpsTableRow";
            }
        }
    }
}

//event handler for click on table row
function highLightRow(){
    var oTable = $(namespace_g + "form1:diskViewTable");
    var oRows = oTable.rows;
    //ignore header and footer
    setTableClass();
    if (oCheckboxRow != null) {
        if (hasCheckedBox(oCheckboxRow)) {
            this.className = "dmc_dataGrid_wpsTableHighlightedRow";
        }
        else {
            this.className = "dmc_dataGrid_wpsTableRow";
        }
        oCheckboxRow = null;
    }
    else {
        this.className = "dmc_dataGrid_wpsTableHighlightedRow";
    }
}

//event handler for click on assign/unassign spare
function onSpareDisk(thisObj, thisEvent){
    var msg = "";
    
    var oTable = $(namespace_g + "form1:diskViewTable");
    var oInputs = oTable.getElementsByTagName("Input");
    var oCheckboxes = new Array();
    for (var i = 0; i < oInputs.length; i++) {
        if (oInputs[i].type == "checkbox" && oInputs[i].checked && (oInputs[i].id != (namespace_g + "form1:diskViewTable:_selectAll"))) {
            oCheckboxes.push(oInputs[i]);
        }
    }
    if (oCheckboxes.length == 1) {
    
        msg = mergeMsg(msg);
        var args = new Array;
        args[0] = msg;
        if (getUsageMode(oCheckboxes[0]) == "0") {
            msg = NlsFormatMsg($(namespace_g + "form2:hiddenUnSpareConfirmation").value, args);
        }
        else {
            msg = NlsFormatMsg($(namespace_g + "form2:hiddenSpareConfirmation").value, args);
        }
        var suggestion = confirm(msg);
        if (suggestion) {
            return showWaitCursor(thisObj, thisEvent);
        }
        else {
            return suggestion;
        }
    }
    else {
        return false;
    }
}

//event handler for click on select all
function onSelectAll(thisObj){
    var oTable = $(namespace_g + "form1:diskViewTable");
    var oInputs = oTable.getElementsByTagName("Input");
    var oCheckBoxes = new Array;
    for (var i = 0; i < oInputs.length; i++) {
        if (oInputs[i].type == "checkbox") {
            oInputs[i].checked = thisObj.checked;
            oCheckBoxes.push(oInputs[i]);
        }
    }
    if (thisObj.checked) {
        $(namespace_g + "form1:disksLocate").disabled = false;
        $(namespace_g + "form1:disksLocateOff").disabled = false;
        //one select-single and one select-all checkbox is checked
        if (oCheckBoxes.length == 2) {
            $(namespace_g + "form1:viewProperties").disabled = false;
            $(namespace_g + "form1:diskSpare").disabled = true;
            for (var i = 0; i < 2; i++) {
                if (oCheckBoxes[i].id !=( namespace_g + "form1:diskViewTable:_selectAll")) {
                    var usageMode = getUsageMode(oCheckBoxes[i]);
                    if (usageMode == "0" || usageMode == "1") {
                        $(namespace_g + "form1:diskSpare").disabled = false;
                        break;
                    }
                }
            }
        }
        else {
            $(namespace_g + "form1:diskSpare").disabled = true;
            $(namespace_g + "form1:viewProperties").disabled = true;
        }
    }
    else {
        $(namespace_g + "form1:disksLocate").disabled = true;
        $(namespace_g + "form1:disksLocateOff").disabled = true;
        $(namespace_g + "form1:diskSpare").disabled = true;
        $(namespace_g + "form1:viewProperties").disabled = true;
    }
    setTableClass();
}

//event handler for selection on array list
function onSelectArray(thisObj, thisEvent){
    $(namespace_g + 'form1').submit();
    return showWaitCursor(thisObj, thisEvent);
}

var oCheckboxRow = null;

//event handler for click on check box
function onCheckboxClick(thisObj, thisEvent){
    var oTable = $(namespace_g + "form1:diskViewTable");
    var oInputs = oTable.getElementsByTagName("Input");
    var oCheckboxes = new Array();
    for (var i = 0; i < oInputs.length; i++) {
        if (oInputs[i].type == "checkbox" && oInputs[i].checked && (oInputs[i].id != (namespace_g + "form1:diskViewTable:_selectAll"))) {
            oCheckboxes.push(oInputs[i]);
        }
    }
    if (oCheckboxes.length > 0) {
        $(namespace_g + "form1:disksLocate").disabled = false;
        $(namespace_g + "form1:disksLocateOff").disabled = false;
        
        if (oCheckboxes.length == 1) {
            //for disk spare
            var usageMode = getUsageMode(oCheckboxes[0]);
            if (usageMode != "0" && usageMode != "1") {
                $(namespace_g + "form1:diskSpare").disabled = true;
            }
            else {
                $(namespace_g + "form1:diskSpare").disabled = false;
            }
            
            //for view property
            $(namespace_g + "form1:viewProperties").disabled = false;
        }
        else {
            $(namespace_g + "form1:viewProperties").disabled = true;
            $(namespace_g + "form1:diskSpare").disabled = true;
        }
    }
    else {
        $(namespace_g + "form1:disksLocate").disabled = true;
        $(namespace_g + "form1:disksLocateOff").disabled = true;
        $(namespace_g + "form1:diskSpare").disabled = true;
        $(namespace_g + "form1:viewProperties").disabled = true;
    }
    
    oCheckboxRow = thisObj.parentNode.parentNode;
}

//event handler for click on view properties
function onViewProperties(thisObj, thisEvent){
    return showWaitCursor(thisObj, thisEvent);
}

//event handler for click on locate on/off
function onLocateDrive(thisObj, thisEvent, action){
    var msg = "";
    if (action) {
        msg = $(namespace_g + "form2:hiddenLocateAlert").value;
    }
    else {
        msg = $(namespace_g + "form2:hiddenStopLocateAlert").value;
    }
    
    msg = mergeMsg(msg);
    var suggestion = confirm(msg);
    if (suggestion) {
        return showWaitCursor(thisObj, thisEvent);
    }
    return suggestion;
}
