<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/ras/AuditLog.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ include file="/page/disk/common/Header.jsp"%>
<HTML>
<HEAD>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcstyle.css") %>' title="Style">
<TITLE>AuditLog.jsp</TITLE>

<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmctables.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcirctables.css") %>' title="Style">
<style>
.info{
	border-right: 1px soild #000000;
	border-bottom: 1px soild #0c0c0c;
	background-color: #c0c0c0;
}
</style>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'></SCRIPT>
</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{arrayIdentityCollectionByUser.initAllContext}">
		<hx:scriptCollector id="scriptCollector"
			preRender="#{pc_AuditLog.initPrePageRender}">
			
				<h:form styleClass="form" id="form1">
					<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
						<TR>
							<TD>
							<!-- <table width="100%">

								<tr>
									<Td><h:outputText styleClass="outputTextTitle"
										id="auditLogPageTitle" value="#{bundle.RAS_Audit_Logs_Title}"></h:outputText></TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
								</TR> 
							</TABLE>-->
							</TD>
						</TR>
						<TR>
							<TD>
							<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
								<TR>
									<TD><h:outputText styleClass="outputText" id="auditLogPageDesc"
										value="#{bundle.RAS_Audit_Logs_Description}"></h:outputText>
									<HR>
									</TD>
								</TR>
								<TR>
									<TD>
										<jsp:include page="/page/disk/error/ErrorMessages.jsp"/>
									</TD>
								</TR>
								<tr>
									<td><hx:commandExButton type="submit"
										value="#{bundle.Button_Refresh}" id="common_refresh" 
										styleClass="commandExButton" style="width: 80px" 
										action="#{pc_AuditLog.doRefreshButton}"
										immediate="true"
										onclick="return showWaitCursor(this,event);"></hx:commandExButton>
									<h:outputText styleClass="outputText"
										id="text_last_refresh_label" value="#{bundle.Label_Refresh}"></h:outputText>
									<h:outputText styleClass="outputText"
										id="text_last_refresh_timestamp"
										value="#{pc_AuditLog._lastRefreshTimeStamp}"></h:outputText></TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
								</TR>
								<TR>
									<TD>
									<TABLE border="0" cellpadding="0" cellspacing="0" width="100%" class="tableBorderGray">
										<TR> <td >
										<table width="100%" border="0" cellspacing="0" cellpadding="0">
											<tr><td style="border-bottom-color:#ffffff" align="left" valign="top" ><h:outputText id="auditLogNoRecordsDesc"
												value="#{bundle.RAS_Audit_Logs_No_Records_Description}"
												styleClass="outputText"
												rendered="#{pc_AuditLog.aduitLogBean._noRecords}">
											</h:outputText>
											</td></tr>
											
											<tr><TD>
											<DIV style="width:100%;height:300px;overflow-x:auto;overflow-y:auto">
											<h:dataTable border="1" cellpadding="2" cellspacing="0"
												columnClasses="columnClass1" headerClass="headerClass"
												footerClass="footerClass" rowClasses="rowClass1"
												styleClass="dataTable" id="auditLogTable" width="100%"
												bgcolor="#f0f0f0" var="var_auditLogBeans"
												value="#{pc_AuditLog.aduitLogBean._auditLogBeans}"
												rendered="#{!pc_AuditLog.aduitLogBean._noRecords}">
												
												<h:column id="auditLogMsgIDCol">
													<f:facet name="header">
														<h:outputText id="auditLogMsgIDColTitle"
															styleClass="outputTextTitle3"
															value="#{bundle.RAS_Audit_Logs_Table_ID_Title}"></h:outputText>
													</f:facet>
													<h:outputText id="auditLogMsgIDColValue"
														value="#{var_auditLogBeans.messageID}"
														styleClass="tree_labelNormalStyle">
													</h:outputText>
													<f:attribute value="left" name="align" />
												</h:column>
												<h:column id="auditLogTimeCol">
													<f:facet name="header">
														<h:outputText styleClass="outputTextTitle3"
															value="#{bundle.RAS_Audit_Logs_Table_TimeStamp_Title}"
															id="text2"></h:outputText>
													</f:facet>
													<h:outputText id="auditLogTimeValue"
														value="#{var_auditLogBeans.timeStamp}"
														styleClass="tree_labelNormalStyle">
													</h:outputText>
													<f:attribute value="left" name="align" />
												</h:column>
												<h:column id="auditLogDeviceCol">
													<f:facet name="header">
														<h:outputText styleClass="outputTextDevice"
															value="#{bundle.RAS_Audit_Logs_Table_Device_Title}"
															id="auditLogDeviceColTitle"></h:outputText>
													</f:facet>
													<h:outputText id="auditLogDeviceValue"
														value="#{var_auditLogBeans.device}"
														styleClass="tree_labelNormalStyle">
													</h:outputText>
													<f:attribute value="left" name="align" />
												</h:column>																							
												<h:column id="auditLogUserIDCol">
													<f:facet name="header">
														<h:outputText styleClass="outputTextTitle3"
															value="#{bundle.RAS_Audit_Logs_Table_UserID_Title}"
															id="auditLogUserIDColTitle"></h:outputText>
													</f:facet>
													<h:outputText id="auditLogUserIDValue"
														value="#{var_auditLogBeans.userID}"
														styleClass="tree_labelNormalStyle">
													</h:outputText>
													<f:attribute value="left" name="align" />
												</h:column>
												<h:column id="auditLogDescCol">
													<f:facet name="header">
														<h:outputText styleClass="outputTextTitle3"
															value="#{bundle.RAS_Audit_Logs_Table_Description_Title}"
															id="auditLogDescColTitle"></h:outputText>
													</f:facet>
														<h:outputText id="auditLogDescValue"
														value="#{var_auditLogBeans.msgDesc}"
														styleClass="tree_labelNormalStyle">
													</h:outputText>
													<f:attribute value="left" name="align" />
												</h:column>
											</h:dataTable>
											</DIV>
											</TD></tr>
										</table>
										</td></TR>
									</TABLE>
									</TD>
								</TR>
							</TABLE>
							</TD>
						</TR>
					</TABLE>
					<h:inputHidden id="hiddenWeclome"
							value="#{pc_AuditLog.gotoWelcome}" ></h:inputHidden>
					<hx:commandExButton type="submit" value="Submit" id="hidden_welcome_btn" style="display:none"
							styleClass="commandExButton" action="#{pc_AuditLog.doWelcomeAction}"></hx:commandExButton>
				</h:form>
				<h:form styleClass="form" id="form2">
					<h:inputHidden value="#{bundle.RAS_Device_Logs_Clear_Confirm}"
						id="hiddenClearMsg"></h:inputHidden>
					
				</h:form>
			
		</hx:scriptCollector>
	</hx:scriptCollector>
	<script>
	var objHiddenValue = document.getElementById(namespace_g + "form1:hiddenWeclome").value;
    var btn = document.getElementById(namespace_g + "form1:hidden_welcome_btn");
    if (objHiddenValue != ""){
    	btn.click();
    }
	</script>
	</BODY>
</f:view>
</HTML>
