<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/ras/DeviceEventLog.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<HTML>
<HEAD>
<%@ include file="/page/disk/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<%@ page language="java" import="com.ibm.dmc.gui.beans.ras.*, javax.faces.context.FacesContext, pagecode.page.disk.ras.*"%>
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<TITLE>DeviceEventLog.jsp</TITLE>


<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/theme/stylesheet.css")%>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/theme/dmcstyle.css")%>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/theme/dmctables.css")%>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/theme/dmcirctables.css")%>' rel="stylesheet" type="text/css">
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'></SCRIPT>
</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{arrayIdentityCollectionByUser.initAllContext}">
		<hx:scriptCollector id="scriptCollector"
			preRender="#{pc_DeviceEventLog.initPrePageRender}">			
			<%
				FacesContext fc = FacesContext.getCurrentInstance();
				DeviceEventLog devLog = (DeviceEventLog) fc.getApplication().createValueBinding("#{pc_DeviceEventLog}").getValue(fc);
				DeviceEventLogBean devLogBean = devLog.getDeviceEventLogBean();
			%>
				<h:form styleClass="form" id="form1">
					<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
						<TR>
							<TD>
							<table width="100%">
								<tr>
									<Td><!--<h:outputFormat styleClass="outputTextTitle"
										id="devEvnLogPageTitle"
										value="#{bundle.RAS_Device_Logs_Title}"></h:outputFormat> --></TD>
									<TD align="right">
									<h:outputLabel styleClass="outputLabel" id="label1" for="currentDeviceCombo">
										<h:outputText styleClass="outputText"
											id="currentDeviceTitle"
											value="#{bundle.RAS_Device_Logs_Current_Device_Title}"></h:outputText>
									</h:outputLabel>
									<h:selectOneMenu styleClass="selectOneMenu"
										id="currentDeviceCombo" onchange="return func_1(this, event);"
										value="#{pc_DeviceEventLog._selectedArrayID}">
										<f:selectItems value="#{pc_DeviceEventLog._arrayGroups}" />
									</h:selectOneMenu></TD>
								</TR>
								<!--  
								<TR>
									<TD>&nbsp;</TD>
								</TR>-->
							</TABLE>
							</TD>
						</TR>
						<TR>
							<TD>
							<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
								<TR>
									<TD><h:outputFormat styleClass="outputText"
										id="devEvnLogPageDesc"
										value="#{bundle.RAS_Device_Logs_Description}"></h:outputFormat>
									<HR>
									</TD>
								</TR>
								<TR>
									<TD>
										<jsp:include page="/page/disk/error/ErrorMessages.jsp"/>
									</TD>
								</TR>
								<tr>
									<td><hx:commandExButton type="submit"
										value="#{bundle.Button_Refresh}" id="common_refresh" 
										styleClass="commandExButton" style="width: 80px" 
										action="#{pc_DeviceEventLog.doRefreshButton}" 
										immediate="true" 
										onclick="return showWaitCursor(this, event);"></hx:commandExButton>
									<h:outputText styleClass="outputText"
										id="text_last_refresh_label" value="#{bundle.Label_Refresh}"></h:outputText>
									<h:outputText styleClass="outputText"
										id="text_last_refresh_timestamp"
										value="#{pc_DeviceEventLog._lastRefreshTimeStamp}"></h:outputText>
									</td>
								</tr>
								<TR>
									<TD>&nbsp;</TD>
								</TR>
								<TR>
									<TD>
									<TABLE border="0" cellpadding="0" cellspacing="0" width="100%"
										class="tableBorderGray">
										<%if (devLogBean.is_noRecords()) {%>
										<tr>
											<td style="border-bottom: 0px"><h:outputText
												id="devEvnLogNoRecordsDesc"
												value="#{bundle.RAS_Device_Logs_No_Records_Description}"
												styleClass="outputText"
												rendered="#{pc_DeviceEventLog.deviceEventLogBean._noRecords}">
											</h:outputText></td>
										</tr>
										<%} else {%>
										<TR>
											<TD>
											
											<h:dataTable border="1" cellpadding="2" cellspacing="0"
												columnClasses="columnClass1" headerClass="headerClass"
												footerClass="footerClass" rowClasses="rowClass1"
												styleClass="dataTable" id="devEvnLogTableHeader"
												width="100%" 
												rendered="#{!pc_DeviceEventLog.deviceEventLogBean._noRecords}">
												<h:column id="devEvnLogTimeCol">
													<f:facet name="header">
														<h:outputText styleClass="outputTextTitle3"
															value="#{bundle.RAS_Device_Logs_Table_TimeStamp_Title}"
															id="devEvnLogTimeColTitle"></h:outputText>
													</f:facet>
													
													<f:attribute value="34%" name="width" />
												</h:column>
												<h:column id="devEvnLogDescCol">
													<f:facet name="header">
														<h:outputText styleClass="outputTextTitle3"
															value="#{bundle.RAS_Device_Logs_Table_Description_Title}"
															id="devEvnLogDescColTitle"></h:outputText>
													</f:facet>
													
													<f:attribute value="66%" name="width" />
												</h:column>
											</h:dataTable>
											</TD>
										</TR>
										<TR>
									<TD>	<DIV style="width:100%;height:300px;overflow-x:auto;overflow-y:auto">
									<h:dataTable border="1" cellpadding="2" cellspacing="0"
												columnClasses="columnClass1" headerClass="headerClass"
												footerClass="footerClass" rowClasses="rowClass1"
												styleClass="dataTable" id="devEvnLogTable"
												value="#{pc_DeviceEventLog.deviceEventLogBean._deviceLogBeans}"
												var="vardeviceLogBeans" width="100%" 
												rendered="#{!pc_DeviceEventLog.deviceEventLogBean._noRecords}">
										<h:column id="devEvnLogTimeCol">
											<h:outputText id="devEvnLogTimeColValue"
														value="#{vardeviceLogBeans.timeStamp}"
														styleClass="tree_labelNormalStyle">
													</h:outputText>
											<f:attribute value="left" name="align" />
										</h:column>
										<h:column id="devEvnLogDescCol">
											<h:outputText id="devEvnLogDescColValue"
														value="#{vardeviceLogBeans.msgDesc}"
														styleClass="tree_labelNormalStyle">
													</h:outputText>
											<f:attribute value="left" name="align" />
										</h:column>
									</h:dataTable></DIV>
									</TD>
								</TR>			
										
										<%} %>
									</TABLE>
									</TD>
								</TR>
							</TABLE>
							</TD>
						</TR>
					</TABLE>
						<h:inputHidden id="hiddenWeclome"
							value="#{pc_DeviceEventLog.gotoWelcome}" ></h:inputHidden>
					<hx:commandExButton type="submit" value="Submit" id="hidden_welcome_btn" style="display:none"
							styleClass="commandExButton" action="#{pc_DeviceEventLog.doWelcomeAction}"></hx:commandExButton>
				</h:form>
				<h:form styleClass="form" id="form2">
					<h:inputHidden value="#{bundle.RAS_Device_Logs_Clear_Confirm}"
						id="hiddenClearMsg"></h:inputHidden>
				
				</h:form>
			
		</hx:scriptCollector>
	</hx:scriptCollector>
	<script>
	var objHiddenValue = document.getElementById(namespace_g + "form1:hiddenWeclome").value;
    var btn = document.getElementById(namespace_g + "form1:hidden_welcome_btn");
    if (objHiddenValue != ""){
    	btn.click();
    }
    function func_1(thisObj, thisEvent){
    $(namespace_g + 'form1').submit();
    return showWaitCursor(thisObj, thisEvent);
}
	</script>
	</BODY>
</f:view>
</HTML>
