<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/protected1/Main.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"
	import="pagecode.protected1.SCMComponentDetector"%>
<f:loadBundle basename="com.ibm.lwc.console.bundles.messages" var="msgs"/>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM Software Development Platform">
<TITLE>main.jsp</TITLE>
<STYLE>
.smallerText
{
	font-size: 8pt;
	font-family: Verdana, Arial, Helvetica, sans-serif;
}
.outputText {
	font-size: 10pt;
	font-family: Verdana, Arial, Helvetica, sans-serif;
}
.outputTextTitle {
	font-weight: bold;
	font-size: 14pt;
	font-family: Arial, Helvetica, sans-serif;
	font-color: #000000;
}
.outputTextTitle2 {
	font-weight: bold;
	font-size: 11pt;
	font-family: Arial, Helvetica, sans-serif;
}
</STYLE>

<SCRIPT>
function toggle(id)
{
	if(document.getElementById(id).style.display == "block")
	{
		document.getElementById(id).style.display = "none";
		
		document.getElementById(id + "Image").src = "../images/closed.gif";
		
		// Change the alt text
		document.getElementById(id + "Image").alt = document.getElementById("collapsedAltText").value;
	}
	else
	{
		document.getElementById(id).style.display = "block";
		
		document.getElementById(id + "Image").src = "../images/opened.gif";
		
		// Change the alt text
		document.getElementById(id + "Image").alt = document.getElementById("expandedAltText").value;
	}
}

function expandFirst()
{
	if(document.getElementById('rssm'))
	{
		toggle('rssm');
	}
	else
		if(document.getElementById('nssm'))
		{
			toggle('nssm');
		}
		else
			if(document.getElementById('sas'))
			{
				toggle('sas');
			}
			else 
				if(document.getElementById('irc'))
				{
					toggle('irc');
				}
}

function startAutoDiscovery()
{
	// If rssm is present do RSSM local device auto discovery
	if(document.getElementById("autoDiscoveryFrame"))
	{
		document.getElementById("autoDiscoveryFrame").src = "/Console/AppForwarder?url=/scmirc/faces/page/LocalDeviceDiscovery.jsp";
	}
}
</SCRIPT>

</HEAD>
<f:view>
	<BODY onLoad="expandFirst(); startAutoDiscovery()">


	<h:outputText styleClass="outputTextTitle" value="#{msgs.MainPageTitle}"></h:outputText>

	<BR>
	<h:graphicImage alt="#{msgs.WelcomePageAltText}" style="border: none" value="../images/welcome_page_banner.gif"></h:graphicImage>
	<BR>

	<h:outputText styleClass="smallerText" value="#{msgs.VersionText}"></h:outputText> <SPAN class="smallerText"><%= System.getProperties().get("com.ibm.scm.version") %></SPAN>

	<BR>
	<BR>

	<h:outputText styleClass="outputTextTitle2" value="#{msgs.MainHeader}"></h:outputText>

	<BR>
	<BR>
	
	
	<%
	// Signify if a project is installed
	
	boolean irc = false;
	boolean sas = false;
	boolean nssm = false;
	boolean rssm = false;
	%>
	
	<!-- RSSM START -->
	<%
	if(SCMComponentDetector.isInstalled("rbce"))
	{ 
		rssm = true;
	%>
	
	<SPAN onClick="toggle('rssm')">
		<h:graphicImage id="rssmImage" style="border: none" value="../images/closed.gif" alt="#{msgs.collapsedAltText}"></h:graphicImage> 
		<h:outputText styleClass="outputTextTitle2" value="#{msgs.RSSM}"></h:outputText>
	</SPAN>
	
	<DIV id="rssm" style="display: none">
	
	<TABLE width="90%" cellpadding="5">
	
	<TBODY>
	
	<TR>
		<TD align="center">	
		<h:graphicImage alt="#{msgs.Main_RSSM_InitialSetupWizard}" style="border: none" value="../images/nssm/setup_wizard.gif"></h:graphicImage>
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmrbce/faces/page/rbce/wizard/InitialSetup.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.Main_RSSM_InitialSetupWizard}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText" value="#{msgs.Main_RSSM_InitialSetupWizard_Desc}"></h:outputText>
		</TD>
	</TR>
	<TR>	
		<TD align="center">	
		<h:graphicImage alt="#{msgs.Main_RSSM_ViewAllStorage}" style="border: none" value="../images/entity/host_large.gif"></h:graphicImage>
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmrbce/faces/page/rbce/domain/ViewAllBladeCenter.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.Main_RSSM_ViewAllStorage}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText" value="#{msgs.Main_RSSM_ViewAllStorage_Desc}"></h:outputText>
		</TD>
	</TR>
	<TR>	
		<TD align="center">	
		<h:graphicImage alt="#{msgs.Main_RSSM_Storage}" style="border: none" value="../images/rssm/homepage_storage.gif"></h:graphicImage>
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmrbce/faces/page/rbce/storage/Storage.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.Main_RSSM_Storage}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText" value="#{msgs.Main_RSSM_Storage_Desc}"></h:outputText>
		</TD>
	</TR>
	<TR>	
		<TD align="center">	
		<h:graphicImage alt="#{msgs.Main_RSSM_PhysicalView}" style="border: none" value="../images/rssm/homepage_physical.gif"></h:graphicImage>
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmrbce/faces/page/rbce/physical/PhysicalResourcesShell.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.Main_RSSM_PhysicalView}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText" value="#{msgs.Main_RSSM_PhysicalView_Desc}"></h:outputText>
		</TD>
	</TR>	
	</TBODY>
	</TABLE>
	
	</DIV>
	
	<BR>
	<BR>
	
	<%
	}
	%>
	<!-- RSSM END -->
	
	
	
	<!-- NSSM START -->
	<%
	if(SCMComponentDetector.isInstalled("nbce"))
	{ 
		nssm = true;
	%>
	
	<SPAN onClick="toggle('nssm')">
		<h:graphicImage id="nssmImage" style="border: none" value="../images/closed.gif" alt="#{msgs.collapsedAltText}"></h:graphicImage> 
		<h:outputText styleClass="outputTextTitle2" value="#{msgs.NSSM}"></h:outputText>
	</SPAN>
	
	<DIV id="nssm" style="display: none">
	
	<TABLE width="90%" cellpadding="5">
	
	<TBODY>

	<TR>
		
		<TD align="center">
		<h:graphicImage alt="#{msgs.Main_NSSM_InitialConfiguration}" style="border: none" value="../images/nssm/setup_wizard.gif"></h:graphicImage>	
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmnbce/faces/page/common/Wait.jsp?target=initialconfigwizard/InitialConfigWizard.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.Main_NSSM_InitialConfiguration}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText" value="#{msgs.Main_NSSM_InitialConfigurationDesc}"></h:outputText>
		</TD>
	
	</TR>
	
	<TR>
		
		<TD align="center">
		<h:graphicImage alt="#{msgs.Main_NSSM_AllSwitches}" style="border: none" value="../images/sas/viewsystems.gif"></h:graphicImage>	
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmnbce/faces/page/common/Wait.jsp?target=viewswitches/ViewAllSwitches.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.Main_NSSM_AllSwitches}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText" value="#{msgs.Main_NSSM_AllSwitchesDesc}"></h:outputText>
		</TD>
	
	</TR>
	
	<TR>
		
		<TD align="center">
		<h:graphicImage alt="#{msgs.Main_NSSM_SASAccess}" style="border: none" value="../images/nssm/SAS_access.gif"></h:graphicImage>	
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmnbce/faces/page/common/Wait.jsp?target=fabric/ManageFabric.jsp"> 
		<h:outputText styleClass="outputText"
						value="#{msgs.Main_NSSM_SASAccess}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText"
						value="#{msgs.Main_NSSM_SASAccessDesc}"></h:outputText>
		</TD>
	
	</TR>
	
	</TBODY>
	</TABLE>
	
	</DIV>
	
	<BR>
	<BR>
	
	<%
	}
	%>
	<!-- NSSM END -->
	
	
	<!-- SAS START -->
	<% 
	if(SCMComponentDetector.isInstalled("sas"))
	{ 
		sas = true;
	%>
	
	<SPAN onClick="toggle('sas')">
		<h:graphicImage id="sasImage" style="border: none" value="../images/closed.gif" alt="#{msgs.collapsedAltText}">
		</h:graphicImage> <h:outputText styleClass="outputTextTitle2" value="#{msgs.SAS}"></h:outputText>
	</SPAN>
	
	<DIV id="sas" style="display: none">
	
	<TABLE width="90%" cellpadding="5">
	
	<TBODY>
	
	<TR>
		
		<TD align="center">
		<h:graphicImage alt="#{msgs.MainMonitorSwitch}" style="border: none" value="../images/sas/viewsystems.gif"></h:graphicImage>	
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/dmcsas/faces/index.jsp?link=MonitorSwitch.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.MainMonitorSwitch}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText" value="#{msgs.MainMonitorSwitchDesc}"></h:outputText>
		</TD>
	
	</TR>
	
	<TR>
		
		<TD align="center">
		<h:graphicImage alt="#{msgs.MainManageFabric}" style="border: none" value="../images/sas/zoned_config_active.gif"></h:graphicImage>	
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/dmcsas/faces/index.jsp?link=ConfigZoning.jsp"> 
		<h:outputText styleClass="outputText"
						value="#{msgs.MainManageFabric}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText"
						value="#{msgs.MainManageFabricDesc}"></h:outputText>
		</TD>
	
	</TR>
	
	</TBODY>
	</TABLE>
	
	</DIV>
	
	<BR>
	<BR>
	
	<%
	}
	%>
	<!-- SAS END -->
	
	<!-- IRC START -->
	<% 
	if(SCMComponentDetector.isInstalled("irc"))
	{ 
		irc = true;
	%>
	
	<SPAN onClick="toggle('irc')">
		<h:graphicImage id="ircImage" style="border: none" value="../images/closed.gif" alt="#{msgs.collapsedAltText}"></h:graphicImage> 
		<h:outputText styleClass="outputTextTitle2" value="#{msgs.IRC}"></h:outputText>
	</SPAN>
	
	<DIV id="irc" style="display: none">
	
	<TABLE width="90%" cellpadding="5">
	
	<TBODY>
	
	<TR>
		
		<TD align="center">
		<h:graphicImage alt="#{msgs.MainAddHost}" style="border: none" value="../images/entity/host_large.gif"></h:graphicImage>	
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmirc/faces/page/disk/domain/AddHost.jsp"> 
		<h:outputText styleClass="outputText"
						value="#{msgs.MainAddHost}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText"
						value="#{msgs.MainAddHostDesc}"></h:outputText>
		</TD>
	
	</TR>
	
	<TR>
		
		<TD align="center">
		<h:graphicImage alt="#{msgs.MainConfigVols}" style="border: none" value="../images/entity/volume_large.gif"></h:graphicImage>	
		<TD>
		<A href="/Console/AppForwarder?url=/scmirc/faces/page/disk/logical/VolumeView.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.MainConfigVols}"></h:outputText>
		</A>
		
		<BR>

		<h:outputText styleClass="outputText"
						value="#{msgs.MainConfigVolsDesc}"></h:outputText>
		</TD>
	
	</TR>
	
	<TR>
		
		<TD align="center">
		<h:graphicImage alt="#{msgs.MainViewAll}" style="border: none" value="../images/magnifying-glass.gif"></h:graphicImage>	
		</TD>
		
		<TD>
		<A href="/Console/AppForwarder?url=/scmirc/faces/page/disk/domain/MonitorAllSystems.jsp">
		<h:outputText styleClass="outputText" value="#{msgs.MainViewAll}"></h:outputText>
		</A>
		
		<BR>
		
		<h:outputText styleClass="outputText" value="#{msgs.MainViewAllDesc}"></h:outputText>
		</TD>
	
	</TR>
	
	</TBODY>
	</TABLE>
	
	</DIV>
	
	<BR>
	<BR>
	
	<!-- LOCAL DEVICE AUTO DISCOVERY -->
	<IFRAME id="autoDiscoveryFrame" style="display: none" src=""></IFRAME>
	
	<%
	}
	%>
	<!-- IRC END -->
		
	<TABLE width="90%">
	<TBODY>
	<TR>
	<TD width="16" valign="top">
		<h:graphicImage alt="#{msgs.warningNoteAltText}" style="border: none" value="../images/status_warning16.gif"></h:graphicImage>
	</TD>
	<TD width="62" valign="top">
		<h:outputText styleClass="outputText" value="#{msgs.Note}"></h:outputText>	
	</TD>
	<TD valign="top">
		<h:outputText styleClass="outputText" value="#{msgs.PopUpWarning}"></h:outputText>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
		
	<BR>
	
	<TABLE width="90%">
	<TBODY>
	<TR>
	<TD>
		<h:outputText styleClass="smallerText" value="#{msgs.Legal}"></h:outputText>
	</TD>
	<TD>
		<h:graphicImage alt="#{msgs.JavaAltText}" style="border: none" value="../images/java_icon.gif"></h:graphicImage>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<!-- Hidden NLS alt text values -->
	<h:inputHidden id="expandedAltText" value="#{msgs.expandedAltText}"></h:inputHidden>
	<h:inputHidden id="collapsedAltText" value="#{msgs.collapsedAltText}"></h:inputHidden>	
	

	
	</BODY>
</f:view>
</HTML>