<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/domain/DeviceLoader.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<TITLE>DeviceLoader.jsp</TITLE>
<%
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath();
 %>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/stylesheet.css" %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/dmcstyle.css" %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/dmctables.css" %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=basePath + "/theme/dmcirctables.css" %>' title="Style">
</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_DeviceLoader.initPrePageRender}">
		<h:form styleClass="form" id="loader_form1">
			<IRC:DIV>
			<TABLE border="0" cellpadding="0" cellspacing="0" width="100%"
				class="tableBorderGray">
				<TR>
					<TD>
						<jsp:include page="/page/disk/error/AjaxErrorMessages.jsp"/>
					</TD>
				</TR>
				<TR>
					<TD>
					<DIV
						style="width:100%;height:300px;overflow-x:auto;overflow-y:auto">
					<hx:dataTableEx border="0" cellpadding="2" cellspacing="0"
						headerClass="dmc_headerClass" footerClass="dmc_footerClass"
						rowClasses="dmc_dataGrid_wpsTableRow" styleClass="dmc_dataTableEx"
						id="dataTable1" value="#{pc_DeviceLoader.completeEntities}"
						var="loader" width="100%">
						<hx:columnEx id="hidden_id_column" align="left"
							style="display:none">
							<h:outputText id="hidden_id_output" escape="false"
								value="#{loader._rowId}" />
						</hx:columnEx>
						<hx:columnEx id="hidden_type_column" align="left"
							style="display:none">
							<h:outputText id="hidden_type_output" escape="false"
								value="#{loader._type}" />
						</hx:columnEx>
						<hx:columnEx id="hidden_nickname_column" align="left"
							style="display:none">
							<h:outputText id="hidden_nickname_output" escape="false"
								value="#{loader._nickname}" />
						</hx:columnEx>
						<hx:columnEx id="hidden_domainIP_column" align="left"
							style="display:none">
							<h:outputText id="hidden_domainIP_output" escape="false"
								value="#{loader._domainIP}" />
						</hx:columnEx>
						<hx:columnEx id="hidden_parentRowId_column" align="left"
							style="display:none">
							<h:outputText id="hidden_parentRowId_output" escape="false"
								value="#{loader._parentRowId}" />
						</hx:columnEx>
						<hx:columnEx id="nickname_column" align="left">
							<f:facet name="header">
								<h:outputText value="#{bundle.Domain_Colume_Nickname}"
									id="domain_nickname" />
							</f:facet>
							<h:outputText id="domain_nickname_output" escape="false"
								value="#{loader._nicknameCell}" />
						</hx:columnEx>
						<hx:columnEx id="type_column" align="left">
							<f:facet name="header">
								<h:outputText value="#{bundle.Domain_Colume_Type}"
									id="domain_type" />
							</f:facet>
							<h:outputText id="domain_type_output" escape="false"
								value="#{loader._typeString}" />
						</hx:columnEx>
						<hx:columnEx id="percentage_column" align="left">
							<f:facet name="header">
								<h:outputText value="#{bundle.Domain_Colume_Capacity}"
									id="domain_percentage" />
							</f:facet>
							<h:outputText id="domain_percentage_output" escape="false"
								value="#{loader._percentageCell}" />
						</hx:columnEx>
						<hx:columnEx id="status_column" align="left">
							<f:facet name="header">
								<h:outputText value="#{bundle.Domain_Colume_Status}"
									id="domain_status" />
							</f:facet>
							<h:outputText id="domain_status_output" escape="false"
								value="#{loader._statusCell}" />
						</hx:columnEx>
					</hx:dataTableEx>
					<h:inputHidden id="isAllFinished"
						value="#{pc_DeviceLoader.userViewBean._allLoaderFinished}"></h:inputHidden>
					<span id="hidden_ajax_namespace" style="display:none">view:</span>
					
					</DIV>
					</TD>
				</TR>
			</TABLE>
		</IRC:DIV>
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
