<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/logical/VolumeView.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<HTML>
<HEAD>
<%@ include file="/page/disk/common/Header.jsp"%>


<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<TITLE>VolumeView.jsp</TITLE>
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcstyle.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcirctables.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmctables.css") %>' title="Style">	
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' title="Style">	
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "theme/dmctabpanel.css") %>' title="Style">			
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/logical/logical.js") %>'></SCRIPT>
</HEAD>
<f:view>
	
	<BODY>	
				<hx:scriptCollector id="scriptCollector"
				preRender="#{arrayIdentityCollectionByUser.initAllContext}">
					<hx:scriptCollector id="scriptCollector1"
						preRender="#{pc_VolumeView.initPrePageRender}">
				<h:form styleClass="form" id="myForm">
					<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
						<TR>
							<TD>
							<table width="100%">
								<tr>
									<Td><!--<h:outputFormat styleClass="outputTextTitle"
										id="title_format" value="#{bundle.Volume_View_Whole_Title}"></h:outputFormat>--></TD>
									<TD align="right">
									<h:outputLabel styleClass="outputLabel" id="label1" for="currentDeviceCombo">
										<h:outputText styleClass="outputText"
											id="format_current_device" value="#{bundle.Volume_View_Current_Device_Title}"></h:outputText>
									</h:outputLabel>
									<h:selectOneMenu styleClass="selectOneMenu"
										id="currentDeviceCombo" onchange="return onSelectArray(this, event);"
										value="#{pc_VolumeView._selectedArrayID}">
										<f:selectItems value="#{pc_VolumeView._arrayGroups}" />
									</h:selectOneMenu>
									</TR>
								<!--
								<TR>
									<TD>&nbsp;</TD>
								</TR>  -->
							</TABLE>
							</TD>
						</TR>
						<TR>
							<TD>
							<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
								<TR>
									<TD><h:outputFormat styleClass="outputText"
										id="description_format"
										value="#{bundle.Volume_View_Description}"></h:outputFormat>
									<HR>
									</TD>
								</TR>
								<TR>
									<TD>
										<jsp:include page="/page/disk/error/ErrorMessages.jsp"/>
									</TD>
								</TR>
								<tr>
									<td><hx:commandExButton type="submit"
										value="#{bundle.Button_Refresh}" id="common_refresh"
										styleClass="commandExButton"
										action="#{pc_VolumeView.doCommon_refreshAction}" style="width: 80px"  
										onclick="return showWaitCursor(this, event);"></hx:commandExButton>
									<h:outputText styleClass="outputText"
										id="text_last_refresh_label" value="#{bundle.Label_Refresh}"></h:outputText>
									<h:outputText styleClass="outputText"
										id="text_last_refresh_timestamp"
										value="#{pc_VolumeView._lastRefreshTimeStamp}"></h:outputText>
									</TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
								</TR>
								<TR>
									<TD>
									<TABLE border="0" cellpadding="0" cellspacing="0" width="100%"
										class="tableBorderGray">
										<TR>
											<TD><hx:commandExButton type="submit"
												value="#{bundle.Volume_View_Create_Button}"
												styleClass="commandExButton" id="create_button"
												action="#{pc_VolumeView.doCreate_buttonAction}" style="width: 80px"  onclick="return showWaitCursor(this, event);"></hx:commandExButton>
											<hx:commandExButton type="submit"
												value="#{bundle.Volume_View_Properties_Button}"
												styleClass="commandExButton" id="view_properties_button"
												action="#{pc_VolumeView.doView_properties_buttonAction}"
												onclick="return onViewPropertyClick(this, event);"></hx:commandExButton>
											<hx:commandExButton type="submit"
												value="#{bundle.Volume_View_Delete_Button}"
												styleClass="commandExButton" id="delete_button"
												action="#{pc_VolumeView.doDelete_buttonAction}"
												onclick="return onDeleteClick(this, event);" style="width: 80px"></hx:commandExButton></TD>
									</TR>
									<TR>
											<TD>
											
												<DIV style="width:100%;height:300px;overflow-x:auto;overflow-y:auto">
													<hx:dataTableEx border="0" cellpadding="2" cellspacing="0"
														headerClass="dmc_headerClass" footerClass="dmc_footerClass"
														rowClasses="dmc_dataGrid_wpsTableRow"
														styleClass="dmc_dataTableEx" 
														id="volumeDataTable"
														value="#{pc_VolumeView.logicalArrayView._selectedArray._volumeViewBean._volumes}"
														var="allVolumes" 
														width="100%"
														rendered="#{pc_VolumeView.logicalArrayView.hasVolumes}" >
														<hx:columnEx id="volume_select" align="left">
															<f:facet name="header">
																<h:outputText value="#{bundle.Table_Select}"/>
															</f:facet>
															<h:selectBooleanCheckbox styleClass="selectBooleanCheckbox" 
																id="volume_select_box"
																value="#{allVolumes._selected}"
																onclick="onCheckboxClick(this, event)"/>
														</hx:columnEx>
														<hx:columnEx id="volume_id" align="left">
															<f:facet name="header">
																<hx:sortHeader id="sort_id" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeView.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
																		<h:outputText value="#{bundle.Volume_View_Table_Volume_Identity}"></h:outputText>
																</hx:sortHeader>
															</f:facet>	
															<h:outputText id="volume_id_txt" escape="false"
																value="#{allVolumes._nickNameCell}" />
														</hx:columnEx>
														<hx:columnEx id="volume_capacity" align="left">
															<f:facet name="header">
																<hx:sortHeader id="sort_capacity" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeView.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
																		<h:outputText value="#{bundle.Volume_View_Table_Capacity}"></h:outputText>
																</hx:sortHeader>
															</f:facet>
															<h:outputText id="volume_capacity_txt" escape="false"
																value="#{allVolumes._capacity}" />
														</hx:columnEx>
														<hx:columnEx id="volume_raidLevel" align="left">
															<f:facet name="header">
																<hx:sortHeader id="sort_raidLevel" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeView.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
																		<h:outputText value="#{bundle.Volume_View_Table_RAID_Level}"></h:outputText>
																</hx:sortHeader>
															</f:facet>
															<h:outputText id="volume_raidLevel_txt" escape="false"
																value="#{allVolumes._raidLevel}" />
														</hx:columnEx>
														<hx:columnEx id="volume_statusCell" align="left">
															<f:facet name="header">
																<hx:sortHeader id="sort_status" styleClass="sortHeader" defaultSortOrder="sortbi" action="#{pc_VolumeView.doSortTableColumn}" onclick="return showWaitCursor(this,event)">																																													
																		<h:outputText value="#{bundle.Volume_View_Table_Status}"></h:outputText>
																</hx:sortHeader>
															</f:facet>
															<h:outputText id="volume_statusCell_txt" escape="false"
																value="#{allVolumes._statusCell}" />
														</hx:columnEx>
														<f:facet name="footer">
															<hx:jspPanel id="_footerBox">
																<h:selectBooleanCheckbox id="_selectAll" value="false" onclick="return onSelectAll(this);"></h:selectBooleanCheckbox>
																<h:outputText id="checkBoxLabel" value="#{bundle.Select_All}" styleClass="dmc_outputTextS"></h:outputText>
															</hx:jspPanel>
														</f:facet>
													</hx:dataTableEx>
											
													<h:outputFormat rendered="#{!pc_VolumeView.logicalArrayView.hasVolumes}" styleClass="outputText" id="format1" value="#{bundle.Volume_View_Help_Text}"></h:outputFormat> 
												
												</DIV>
											</TD>
										</TR>
									</TABLE>
									</TD>
								</TR>
							</TABLE>
							</TD>
						</TR>
					</TABLE>
					<h:inputHidden id="hiddenWeclome"
							value="#{pc_VolumeView.gotoWelcome}"  ></h:inputHidden>
					<hx:commandExButton type="submit" value="Submit" id="hidden_welcome_btn" style="display:none"
							styleClass="commandExButton" action="#{pc_VolumeView.doWelcomeAction}"></hx:commandExButton>				
				</h:form>
				<h:form styleClass="form" id="form2">
					<h:inputHidden value="#{bundle.Volume_View_Delete_Select_Alert}"
						id="hiddenDeleteAlert"></h:inputHidden>
					<h:inputHidden value="#{bundle.Volume_View_Delete_Confirmation}"
						id="hiddenDeleteConfirm"></h:inputHidden>
					<h:inputHidden
						value="#{bundle.Volume_View_Properties_Select_Alert}"
						id="hiddenPropertiesAlert"></h:inputHidden>
					
				</h:form>	
				</hx:scriptCollector>
	</hx:scriptCollector>
	</BODY>
</f:view>

<SCRIPT type="text/javascript">
var objHiddenValue = document.getElementById(namespace_g + "myForm:hiddenWeclome").value;
var btn = document.getElementById(namespace_g + "myForm:hidden_welcome_btn");
launchWeclomePortlet(objHiddenValue,btn);
	postPageLoad();
</SCRIPT>
</HTML>
