<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/physical/ViewDiskProperties.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<HTML>
<HEAD>
<%@ include file="/page/disk/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<TITLE>DiskPropertiesView.jsp</TITLE>
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/tabpanel.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmctables.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcstyle.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcirctables.css") %>' title="Style">
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'></SCRIPT>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{pc_DiskPropertiesView.initPrePageRender}">
			<h:form styleClass="form" id="form1">
				<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
					<TR>
						<TD><hx:graphicImageEx styleClass="graphicImageEx"
							id="imageEx_disk" value="/images/entity/drive_large.gif" alt=""></hx:graphicImageEx>&nbsp;
						<!--<h:outputText styleClass="outputTextTitle" id="text1"
							value="#{bundle.Physical_Label_Disk_Drive_Properties}"></h:outputText>--></TD>
					</TR>
					<TR>
						<TD>&nbsp;</TD>
					</TR>
					<TR>
						<TD>
							<jsp:include page="/page/disk/error/ErrorMessages.jsp"/>
						</TD>
					</TR>
					<TR>
						<TD>
						<TABLE border="1" cellpadding="0" cellspacing="0" width="60%">
							<tr>
								<td>
								<TABLE width="100%">
									<TR>
										<TD><h:outputText styleClass="outputText" id="ddlogicalIdLabel"
											value="#{bundle.Physical_Label_Disk_Logical_ID}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText" id="ddLogicalIdValue"
											value="#{selectedDiskBean._logicalId}"></h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText" id="ddphysicalLocLabel"
											value="#{bundle.Physical_Label_Disk_Physical_Location}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText" id="ddPhysicalLocValue"
											value="#{selectedDiskBean._physicalLoc}"></h:outputText></TD>
									</TR>								
									<TR>
										<TD><h:outputText styleClass="outputText" id="text6"
											value="#{bundle.Physical_Label_Associated_Controller}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText" id="text7"
											value="#{selectedDiskBean._controllerNickName}"></h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText" id="text8"
											value="#{bundle.Physical_Label_Capacity}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText" id="text9"
											value="#{selectedDiskBean._capacity}">
										</h:outputText>&nbsp;<h:outputText styleClass="outputText"
											id="units" value="#{bundle.Properties_GB_Unit}"></h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText" id="text16"
											value="#{bundle.Physical_Label_Disk_Drive_Usage}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText" id="text17"
											value="#{selectedDiskBean._usage}">
										</h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText"
											id="serialNumberLabel"
											value="#{bundle.Physical_Label_Serial_Number}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText"
											id="serialNumberValue"
											value="#{selectedDiskBean._serialNumber}">
										</h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText" id="modelLabel"
											value="#{bundle.Physical_Label_Model}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText" id="modelValue"
											value="#{selectedDiskBean._model}">
										</h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText"
											id="typeLabel"
											value="#{bundle.Physical_Label_DiskType}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText"
											id="typeValue"
											value="#{selectedDiskBean._type}">
										</h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText"
											id="firmwareLevelLabel"
											value="#{bundle.Physical_Label_Firmware_Level}"></h:outputText></TD>
										<TD><h:outputText styleClass="outputText"
											id="firmwareLevelValue"
											value="#{selectedDiskBean._firmwareLevel}"></h:outputText></TD>
									</TR>
									<TR>
										<TD><h:outputText styleClass="outputText" id="statusLable"
											value="#{bundle.Physical_Label_Drive_Status}"></h:outputText></TD>
										<TD><hx:graphicImageEx styleClass="graphicImageEx"
											id="imageEx2" value="#{selectedDiskBean._statusImg}" alt=""></hx:graphicImageEx>
										<h:outputText styleClass="outputText" id="statusValue"
											value="#{selectedDiskBean._status}">
										</h:outputText></TD>
									</TR>
								</TABLE>
								</td>
							</tr>
						</table>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;</TD>
					</TR>
					<TR>
						<TD>
						<TABLE border="1" cellpadding="0" cellspacing="0" width="75%">
							<TR>
								<TD>
								<table width="100%">
									<tr>
										<td><h:outputText styleClass="outputTextTitle2" id="text32"
											value="#{bundle.Physical_Label_Disk_Attached_Volumes}"></h:outputText></TD>
									</TR>
									<TR>
										<TD><h:dataTable cellspacing="0" columnClasses="columnClass1"
											headerClass="headerClass" footerClass="footerClass"
											rowClasses="rowClass1" styleClass="dataTable"
											id="diskVolsTable"
											value="#{selectedDiskBean._relatedVolumes}"
											var="var_relatedVolumes" width="100%" border="1"
											rendered="#{pc_DiskPropertiesView.volTableRender}">
											<h:column id="volNickNameCol">
												<f:facet name="header">
													<h:outputText styleClass="outputTextTitle3"
														value="#{bundle.Physical_Label_Volume_ID}"
														id="volNickNameTitle"></h:outputText>
												</f:facet>
												<hx:graphicImageEx styleClass="graphicImageEx"
													id="imageEx_NickNameIcon"
													value="/images/entity/volume_icon.gif" alt="#{bundle.Common_Alt_Volume}" title="#{bundle.Common_Alt_Volume}"></hx:graphicImageEx>
												&nbsp;<h:outputText id="volNickNameColValue"
													value="#{var_relatedVolumes._nickname}"
													styleClass="tree_labelNormalStyle">
												</h:outputText>
												<f:attribute value="left" name="align" />
												<f:attribute value="true" name="nowrap" />
											</h:column>
											<h:column id="volCapacityCol">
												<f:facet name="header">
													<h:outputText styleClass="outputTextTitle3"
														value="#{bundle.Physical_Label_Volume_Capacity}"
														id="volCapacityTitle"></h:outputText>
												</f:facet>
												<h:outputText id="volCapacityColValue"
													value="#{var_relatedVolumes._capacity}"
													styleClass="tree_labelNormalStyle">
												</h:outputText>
												<f:attribute value="center" name="align" />
											</h:column>
											<h:column id="volRaidLevelCol">
												<f:facet name="header">
													<h:outputText styleClass="outputTextTitle3"
														value="#{bundle.Physical_Label_Volume_RAID}"
														id="volRaidLevelTitle"></h:outputText>
												</f:facet>
												<h:outputText id="volRaidLevelColValue"
													value="#{var_relatedVolumes._raidLevel}"
													styleClass="tree_labelNormalStyle">
												</h:outputText>
												<f:attribute value="center" name="align" />
											</h:column>
											<h:column id="volStatusCol">
												<f:facet name="header">
													<h:outputText styleClass="outputTextTitle3"
														value="#{bundle.Physical_Label_Volume_Status}"
														id="volStatusTitle"></h:outputText>
												</f:facet>
												<hx:graphicImageEx styleClass="graphicImageEx"
													id="imageEx_vol" value="#{var_relatedVolumes._statusImg}" alt=""></hx:graphicImageEx>
												&nbsp;<h:outputText id="volStatusColValue"
													value="#{var_relatedVolumes._status}"
													styleClass="tree_labelNormalStyle">
												</h:outputText>
												<f:attribute value="left" name="align" />
											</h:column>
										</h:dataTable></td>
									</tr>
									<tr>
										<td><h:outputText styleClass="outputText"
											value="#{bundle.Physical_Label_Disk_No_Attached_Volumes}"
											id="noVolDesc"
											rendered="#{!pc_DiskPropertiesView.volTableRender}">
										</h:outputText></td>
									</tr>
								</table>
								</TD>
							</TR>
						</TABLE>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;</TD>
					</TR>
					<TR>
						<TD><hx:commandExButton type="submit"
							value="#{bundle.Physical_Label_Disk_Close_Button}"
							styleClass="commandExButton" id="close"
							action="#{pc_DiskPropertiesView.doCloseAction}"
							style="width: 80px" onclick="return showWaitCursor(this, event);">
						</hx:commandExButton></TD>
					</TR>
				</TABLE>
				<h:inputHidden id="fromPageInput"
					value="#{pc_DiskPropertiesView.fromPageString}"></h:inputHidden>
			</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
