<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/ras/SupportData.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>



<HTML>
<HEAD>
<%@ include file="/page/disk/common/Header.jsp"%>


<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle" />
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' rel="stylesheet" type="text/css">
<TITLE>SupportData.jsp</TITLE>
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcstyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcirctables.css") %>' rel="stylesheet" type="text/css">
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/ras/supportData.js") %>'>
</SCRIPT>
</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{arrayIdentityCollectionByUser.initAllContext}">
		<h:form styleClass="form" id="form1">
			<hx:scriptCollector id="scriptCollector"
				preRender="#{pc_SupportData.initPrePageRender}">
				<TABLE width="100%">
						<TR>
							<TD>
								<!--<h:outputText styleClass="outputTextTitle"
									id="supportDataPageTitle"
									value="#{bundle.RAS_Support_Data_Title}">
								</h:outputText>-->
							</TD>
									
							<TD align="right">
							<hx:jspPanel id="contextChooserPanel" rendered = "#{!pc_SupportData.noDomain}">
								<h:outputLabel
									styleClass="outputLabel" 
									id="label1" 
									for="currentDomainCombo">											
	
									<h:outputText 
										styleClass="outputText"
										id="currentDomainTitle" 
										value="#{bundle.Current_Domain}">
									</h:outputText>
									
								</h:outputLabel>
	
								<h:selectOneMenu 
									styleClass="selectOneMenu"
									id="currentDomainCombo"
									value="#{pc_SupportData._selectedDomainKey}"
									onchange="return supportDataObj.submitPage(this, event);">
									
									<f:selectItems value="#{pc_SupportData._domainItems}" />
								</h:selectOneMenu>
							</hx:jspPanel>
							</TD>
						</TR>
					</TABLE>
					
				
					<h:outputFormat 
						styleClass="outputText"
						id="supportDataPageDesc"
						value="#{bundle.RAS_Support_Data_Description}">
					</h:outputFormat>
					
					<HR>

					<h:panelGroup id="ajaxpanel" style="display:none">
						<hx:ajaxRefreshRequest oncomplete="return supportDataObj.requestComplete();"
							onstart="return supportDataObj.startWait();"  onerror="return supportDataObj.handleError();"
							params="collect">
						</hx:ajaxRefreshRequest>

					    <jsp:include page="/page/disk/error/ErrorMessages.jsp"/>
		
						<h:inputHidden id="collect" value="true"/>
						
						<hx:jspPanel id ="responseMsgPanel" rendered="#{supportDataBean.collectDataSucceed == true}">
							<BR>
							<h:outputText
								styleClass="outputText" id="response1"
								value="#{bundle.RAS_Support_Data_Process_Complete_Description_1}">
							</h:outputText>
					    	&nbsp;
							<hx:outputLinkEx styleClass="outputLinkEx" value="#{pc_SupportData.downloadUrl}" id="downloadLink">
								<h:outputText id="clickHere" styleClass="outputText" value="#{bundle.RAS_Support_Data_Process_Complete_Description_2}"></h:outputText>
							</hx:outputLinkEx>
							&nbsp;
							
							<h:outputText
									id="response3" styleClass="outputText"
									value="#{bundle.RAS_Support_Data_Process_Complete_Description_3}">
							</h:outputText>
						</hx:jspPanel>					
					</h:panelGroup>
											
					<DIV id="waitDiv" style="display:none">
						<TABLE>
							<TBODY>
								<TR>
									<TD><IMG  border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/spokes0.gif")%>' alt='Collecting Support data'></TD>
									<TD>&nbsp;</TD>
									
									<TD align="left">
										<h:outputFormat	styleClass="outputText" value="#{bundle.RAS_Support_Data_Wait}"></h:outputFormat>
									</TD>
								</TR>
							</TBODY>
						</TABLE>
					</DIV>
					
				    <BR>
					
					<DIV id="buttonDiv">

					<hx:commandExButton 
						type="submit"
						value="#{bundle.RAS_Support_Data_Gather_Support_Data_Button}"
						styleClass="commandExButton"
						id="collectSupportDataButton">
						<hx:behavior event="onclick" behaviorAction="get;stop"
							targetAction="ajaxpanel;" />
					</hx:commandExButton>
					
					</DIV>
							<BR>				
			</hx:scriptCollector>
		</h:form>
		
	
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
