<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/disk/welcome/Welcome.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<HTML>
<HEAD>
<%@ include file="/page/disk/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<f:loadBundle basename="com.ibm.dmc.gui.nls.GWMDGL_cfg" var="bundle"/>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/disk/common.js") %>'>></SCRIPT>
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet"
	type="text/css">
<TITLE>Welcome.jsp</TITLE>
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/theme/stylesheet.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/dmcstyle.css") %>' title="Style">
</HEAD>
<f:view>
<BODY>
<hx:scriptCollector id="scriptCollector1" preRender="#{pc_Welcome.initPrePageRender}">
	<h:form id="form1">
			<h:outputText styleClass="outputTextTitle" id="title"
				value="#{pc_Welcome.welcomeBean.title}"></h:outputText>
			<BR>
			<BR>
			<h:outputText styleClass="outputText" id="title_desc"
				value="#{pc_Welcome.welcomeBean.titleDescription}"></h:outputText>
			<HR>
		<table border="1" cellpadding="5" cellspacing="0" width="100%" height="420"><tbody><tr><td valign="top" align="left">			
				<h:outputText styleClass="outputText" id="message_noHost1"
									value="#{bundle.NoHost_Welcome_Message_1}"
									rendered="#{pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"></h:outputText>
				
				<h:outputText styleClass="outputText" id="message_noContoller1"
									value="#{bundle.ViewHost_Welcome_Message_1}"
									rendered="#{!pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"></h:outputText>
									
				<BR>
				<br>
				<h:outputText styleClass="outputText" id="message_noHost2"
					rendered="#{pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"
					value="#{bundle.NoHost_Welcome_Message_2}">
				</h:outputText>
				
				<hx:outputLinkEx styleClass="outputLinkEx"
					rendered="#{pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"
					value="javascript:showWaitCursor(this);closeWelcome(0);" id="linkEx1" >
					<h:outputText id="text2" styleClass="outputText" value="#{bundle.NoHost_Label_1}"></h:outputText>
				</hx:outputLinkEx>
				
				<h:outputText styleClass="outputText" id="message_noController2"
					rendered="#{!pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"
					value="#{bundle.ViewHost_Welcome_Message_2}">
				</h:outputText>
				<hx:outputLinkEx styleClass="outputLinkEx"
					rendered="#{!pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"
					value="javascript:showWaitCursor(this);closeWelcome(1);" id="linkExViewAllSystems" >
					<h:outputText id="message_noController3" styleClass="outputText" 
						rendered="#{!pc_Welcome.welcomeBean.noHost}" value="#{bundle.ViewHost_Welcome_Message_3}">
					</h:outputText>
				</hx:outputLinkEx>
				<h:outputText styleClass="outputText" id="message_noController4"
					rendered="#{!pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"
					value="#{bundle.ViewHost_Welcome_Message_4}">
				</h:outputText>
				
				<h:outputText styleClass="outputText" id="message_From_Hatteras"
					rendered="#{pc_Welcome.fromHat}"
					value="#{bundle.ViewHost_Welcome_Message_From_Hatteras}">
				</h:outputText>
				
				<hx:outputLinkEx styleClass="outputLinkEx"
					rendered="#{!pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"
					value="javascript:showWaitCursor(this);closeWelcome(2);" id="linkExRefresh" >
					<h:outputText id="message_noController5" styleClass="outputText" 
						rendered="#{!pc_Welcome.welcomeBean.noHost}" value="#{bundle.ViewHost_Welcome_Message_5}">
					</h:outputText>
				</hx:outputLinkEx>
				<h:outputText styleClass="outputText" id="message_noController6"
					rendered="#{!pc_Welcome.welcomeBean.noHost && !pc_Welcome.fromHat}"
					value="#{bundle.ViewHost_Welcome_Message_6}">
				</h:outputText>
				<h:inputHidden id="hiddenUrl" value="#{pc_Welcome.fromUrl}"></h:inputHidden>
				<h:inputHidden id ="hiddenTag" value="#{pc_Welcome.tag}"></h:inputHidden>
				<hx:commandExButton type="submit" value="Submit" id="hidden_welcome_btn" style="display:none"
				styleClass="commandExButton" action="#{pc_Welcome.doRefresh}"></hx:commandExButton>
		</td></tr></tbody></table>
		</h:form>
	</hx:scriptCollector></BODY>
</f:view>
<script type="text/javascript">
function closeWelcome(linkSrc){
	document.getElementById(namespace_g + "form1:hiddenTag").value = linkSrc;
	document.getElementById(namespace_g + "form1:hidden_welcome_btn").click();
}
</script>
</HTML>
